<?php
/**
 *   @copyright Copyright (c) 2011 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package GwtPhpFramework
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Dual License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/gpf
 */

class Gpf_Common_ConnectionUtil extends Gpf_Object{
    /**
     *
     * @service
     * @anonym
     * @return Gpf_Rpc_Data
     */
    public function ping(Gpf_Rpc_Params $params) {
        $sql = new Gpf_SqlBuilder_SelectBuilder();
        $sql->select->addAll(Gpf_Db_Table_AuthUsers::getInstance());
        $sql->from->add(Gpf_Db_Table_AuthUsers::getName());
        $count = $sql->getAllRows()->getSize();
        if ($count == 0) {
            throw new Gpf_Exception($this->_('Ping failed'));
        }
        $data = new Gpf_Rpc_Data();
        $data->setValue('status', 'OK');
        return $data;
    }

    public static function callCurlAsync($toUrl) {
        $task = new Gpf_Common_CallUrlAsync();
        $task->setUrl($toUrl);
        $task->insertTask();
    }

    public static function forwardPostCurlAsync($toUrl, $postData = null) {
        $task = new Gpf_Common_SendCurlAsync();
        if ($postData === null) {
            $task->setUrlAndParams($toUrl, $_REQUEST);
        } else {
            $task->setUrlAndParams($toUrl, $postData);
        }
        $task->insertTask();
    }
}
?>
