<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Andrej Harsani
 *   @package GwtPhpFramework
 *   @since Version 1.0.0
 *   $Id: Settings.class.php 18002 2008-05-13 18:31:39Z aharsani $
 *
 *   Licensed under the Quality Unit, s.r.o. Dual License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/gpf
 *
 */

/**
 * @package GwtPhpFramework
 */
class Gpf_File_Settings extends Gpf_File_Config {
	const SETTING_FILE_NAME = 'settings.php';

	public function __construct() {
		parent::__construct(Gpf_Paths::getInstance()->getAccountsPath() . self::SETTING_FILE_NAME);
	}
	
	protected function isFileContentOk($loadedArray) {
		$isContentOk = parent::isFileContentOk($loadedArray);
		return $isContentOk && !empty($loadedArray);
	}

	protected function isSettingsFileOk(Gpf_Io_File $file) {
		return parent::isSettingsFileOk($file) && $this->containsDbSettings($file);
	}

	private function containsDbSettings(Gpf_Io_File $file) {
		if (!$file->isOpened()) {
			$file->open();
		}
		$content = $file->getContents();
		$file->close();
		return strstr($content, Gpf_Settings_Gpf::DB_DATABASE) &&
		strstr($content, Gpf_Settings_Gpf::DB_HOSTNAME) &&
		strstr($content, Gpf_Settings_Gpf::DB_PASSWORD) &&
		strstr($content, Gpf_Settings_Gpf::DB_USERNAME);
	}
}

?>
