<?php
/**
 *   @copyright Copyright (c) 2012 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package PostAffiliatePro
 *
 *   Licensed under the Quality Unit, s.r.o. Dual License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/gpf
 */

class Gpf_RestApi_Auth_Key extends Gpf_Auth_Service {
    const USER_FIELD_API_KEY = 'api_key';
    
    private function getRoleType($roleTypeId) {
        $role = new Gpf_Db_Role();
        $role->setId($roleTypeId);
        $role->load();
        return $role->getRoleType();
    }
   
	public function authenticate($apiKey) {
	    $key = new Gpf_Db_UserAttribute();
	    $key->setValue($apiKey);
	    $key->setName(self::USER_FIELD_API_KEY);
	    $key->loadFromData();
	    
	    Gpf_Log::debug('Found 1 key');
	    
	    $user = new Gpf_Db_User();
	    $user->setId($key->getAccountUserId());
	    $user->load();
	    
	    Gpf_Log::debug('Found 1 user');
	    
	    $authUser = new Gpf_Db_AuthUser();
	    $authUser->setId($user->getAuthId());
	    $authUser->load();
	    
	    Gpf_Log::debug('Found 1 authUser: ' . $authUser->getUsername());
	    
	    parent::authenticateNoRpc($authUser->getUsername(), $authUser->getPassword() ,$user->getAccountId(), Gpf::NO, '', $this->getRoleType($user->getRoleId()));
	}
	
	/**
	 * @return Gpf_Rpc_Form
	 */
	protected function authenticateUser(Gpf_Rpc_Form $loginForm, Gpf_Auth_Info $authInfo) {
	    $authUser = $this->loadUser($authInfo);
	    Gpf_Session::getInstance()->save($authUser);
	    return $loginForm;
	}
}
?>
