<?php
/**
 *   @copyright Copyright (c) 2012 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package LiveAgentPro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/license
 */

class Gpf_RestApi_Doc_ClassHeaderParser {
    public static function getExamplesLinks($classHeaderDescription) {
        $result = preg_match_all('/@examplelink\s(.*)/i', $classHeaderDescription, $matches);
        if ($result && count($matches) > 1) {
            $links = array();
            foreach ($matches[1] as $match) {
                $splits = preg_split('/,/', $match);
                $links[] = array('name' => trim($splits[0]), 'link' => trim($splits[1]));
            }
            return $links;
        }
        return null;
    }
    
    public static function getParamNote($classHeaderDescription) {
        $result = preg_match('/@paramnote\s(.*)/i', $classHeaderDescription, $matches);
        if ($result && count($matches) > 1) {
            return $matches[1];
        }
        return null;
    }
}
