<?php
/**
 *   @copyright Copyright (c) 2012 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package LiveAgentPro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/license
 */

class Gpf_RestApi_Doc_RoleIconPrinter implements Gpf_RestApi_Doc_RoleIconPrinterInterface {
    
    private static function getRoleName($roleId) {
        if ($roleId == Pap_Application::ROLETYPE_AFFILIATE) {
            return 'Affiliate';
        }
        if ($roleId == Pap_Application::ROLETYPE_MERCHANT) {
            return 'Merchant';
        }
    }
    
    public static function printBigRoleIcon($roleId) {
        $roleName = self::getRoleName($roleId);
        return "<div class='" .Gpf_RestApi_Doc_Styles::BIG_ROLE_ICON ."'>".$roleName.'</div>&nbsp;This call is avaliable only to <u>'.$roleName.'s</u>';
    }
    
    public static function printSmallRoleIcon($roleId) {
        $roleName = self::getRoleName($roleId);
        if ($roleId == null) {
            return '';
        }
        $roleName = self::getRoleName($roleId);
        return "<div class='" .Gpf_RestApi_Doc_Styles::ROLE_ICON ."' title='This call is avaliable only to ".$roleName."s'>".$roleName.'</div>';
    }
}
