<?php
/**
 *   @copyright Copyright (c) 2012 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package LiveAgentPro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/license
 */

class Gpf_RestApi_Doc_Styles {
    const XML_ICON = 'xmlIcon';
    const JSON_ICON = 'jsonIcon';
    const EXAMPLE_TABLE = 'exampleTable';
    const EXAMPLE_TABLE_HEADER = 'exampleTableHeader';
    const EXAMPLE_TABLE_CELL_EVEN = 'exampleTableCellEven';
    const EXAMPLE_TABLE_CELL_ODD = 'exampleTableCellOdd';
    const RETURN_FIELDS_HEADER = 'returnFieldsHeader';
    const RETURN_FIELDS_TABLE = 'returnFieldsTable';
    const RETURN_FIELDS_TABLE_HEADER = 'returnFieldsTableHeader';
    const RETURN_FIELDS_TABLE_CELL_EVEN = 'returnFieldsTableCellEven';
    const RETURN_FIELDS_TABLE_CELL_ODD = 'returnFieldsTableCellOdd';
    const RETURN_FIELDS_TABLE_FIELD_HEADER = 'returnFieldsTableFieldHeader';
    const EXAMPLE_CALL_URL = 'exampleCallUrl';
    const CALL_TYPE_ICON = 'callTypeIcon';
    const ROLE_ICON = 'roleIcon';
    const BIG_ROLE_ICON = 'bigRoleIcon';

    public static function getStyles() {
        return '
        <style>
        .'.self::XML_ICON.' {
        -moz-box-shadow:inset 0px 1px 0px 0px #fce2c1;
        -webkit-box-shadow:inset 0px 1px 0px 0px #fce2c1;
        box-shadow:inset 0px 1px 0px 0px #fce2c1;
        background-color:#ffc477;
        border:1px solid #eeb44f;
        display:inline-block;
        color:#ffffff;
        font-family:arial;
        font-size:10px;
        font-weight:bold;
        padding:1px 8px;
        text-decoration:none;
        text-shadow:1px 1px 0px #cc9f52;
    }
    .'.self::JSON_ICON.' {
    -moz-box-shadow:inset 0px 1px 0px 0px #c1ed9c;
    -webkit-box-shadow:inset 0px 1px 0px 0px #c1ed9c;
    box-shadow:inset 0px 1px 0px 0px #c1ed9c;
    background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #9dce2c), color-stop(1, #8cb82b) );
    background:-moz-linear-gradient( center top, #9dce2c 5%, #8cb82b 100% );
    filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\'#9dce2c\', endColorstr=\'#8cb82b\');
    background-color:#9dce2c;
    border:1px solid #83c41a;
    display:inline-block;
    color:#ffffff;
    font-family:arial;
    font-size:10px;
    font-weight:bold;
    padding:1px 8px;
    text-decoration:none;
    text-shadow:1px 1px 0px #689324;
    }
    .'.self::EXAMPLE_TABLE.' {
    border-top: 1px solid #E0E0E0;
    border-left: 1px solid #E0E0E0;
    }
    .'.self::EXAMPLE_TABLE_HEADER.' {
    background-color: #E0E0E0;
    padding: 4px;
    }
    .'.self::EXAMPLE_TABLE_CELL_EVEN.' {
    border-bottom: 1px solid #E0E0E0;
    border-right: 1px solid #E0E0E0;
    background-color: #F8F8F8;
    padding: 4px;
    }
    .'.self::EXAMPLE_TABLE_CELL_ODD.' {
    border-bottom: 1px solid #E0E0E0;
    border-right: 1px solid #E0E0E0;
    padding: 4px;
    }
    .'.self::RETURN_FIELDS_HEADER.' {
    font-size: 14px;
    padding-right: 0px;
    padding-left: 0px;
    padding-top: 0px;
    padding-bottom: 4px;
    margin: 0px;
    }
    .'.self::RETURN_FIELDS_TABLE.' {
    border-top: 1px solid #E0E0E0;
    border-left: 1px solid #E0E0E0;
    font-size:14px;
    }
    .'.self::RETURN_FIELDS_TABLE_HEADER.' {
    background-color: #E0E0E0;
    text-align: left;
    padding: 4px;
    }
    .'.self::RETURN_FIELDS_TABLE_CELL_EVEN.' {
    border-bottom: 1px solid #E0E0E0;
    border-right: 1px solid #E0E0E0;
    background-color: #F8F8F8;
    padding: 4px;
    }
    .'.self::RETURN_FIELDS_TABLE_FIELD_HEADER.' {
    border-bottom: 1px solid #E0E0E0;
    border-right: 1px solid #E0E0E0;
    font-style: italic;
    background-color: #E0E0E0;
    padding: 4px;
    }
    .'.self::RETURN_FIELDS_TABLE_CELL_ODD.' {
    border-bottom: 1px solid #E0E0E0;
    border-right: 1px solid #E0E0E0;
    padding: 4px;
    }
    .'.self::EXAMPLE_CALL_URL.' {
    margin: 0px;
    padding: 10px;
    background-color: #FFFFE8;
    border: 1px solid #E0E0E0;
    }
    .'.self::CALL_TYPE_ICON.' {
    -moz-box-shadow:inset 0px 1px 0px 0px #bbdaf7;
    -webkit-box-shadow:inset 0px 1px 0px 0px #bbdaf7;
    box-shadow:inset 0px 1px 0px 0px #bbdaf7;
    background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #79bbff), color-stop(1, #378de5) );
    background:-moz-linear-gradient( center top, #79bbff 5%, #378de5 100% );
    filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\'#79bbff\', endColorstr=\'#378de5\');
    background-color:#79bbff;
    -moz-border-radius:4px;
    -webkit-border-radius:4px;
    border-radius:4px;
    border:1px solid #84bbf3;
    display:inline-block;
    color:#ffffff;
    font-family:arial;
    font-size:13px;
    font-weight:bold;
    padding:5px 6px;
    text-decoration:none;
    text-shadow:1px 1px 0px #528ecc;
    }
    .'.self::ROLE_ICON.' {
    -moz-box-shadow:inset 0px 1px 0px 0px #fff6af;
	-webkit-box-shadow:inset 0px 1px 0px 0px #fff6af;
	box-shadow:inset 0px 1px 0px 0px #fff6af;
	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #ffec64), color-stop(1, #ffab23) );
	background:-moz-linear-gradient( center top, #ffec64 5%, #ffab23 100% );
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\'#ffec64\', endColorstr=\'#ffab23\');
	background-color:#ffec64;
	-moz-border-radius:2px;
	-webkit-border-radius:2px;
	border-radius:2px;
	border:1px solid #ffaa22;
	display:inline-block;
	color:#333333;
	font-family:arial;
	font-size:10px;
	font-weight:bold;
	padding:0px 4px;
	text-decoration:none;
	text-shadow:1px 1px 0px #ffee66;
    }
    .'.self::BIG_ROLE_ICON.' {
    -moz-box-shadow:inset 0px 1px 0px 0px #fff6af;
	-webkit-box-shadow:inset 0px 1px 0px 0px #fff6af;
	box-shadow:inset 0px 1px 0px 0px #fff6af;
	background:-webkit-gradient( linear, left top, left bottom, color-stop(0.05, #ffec64), color-stop(1, #ffab23) );
	background:-moz-linear-gradient( center top, #ffec64 5%, #ffab23 100% );
	filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=\'#ffec64\', endColorstr=\'#ffab23\');
	background-color:#ffec64;
	-moz-border-radius:2px;
	-webkit-border-radius:2px;
	border-radius:2px;
	border:1px solid #ffaa22;
	display:inline-block;
	color:#333333;
	font-family:arial;
	font-size:14px;
	font-weight:bold;
	padding:0px 4px;
	text-decoration:none;
	text-shadow:1px 1px 0px #ffee66;
    }
    </style>';
    }
}
