<?php
/**
 *   @copyright Copyright (c) 2012 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package LiveAgentPro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/license
 */

abstract class Gpf_RestApi_Handler_IdentifierAndNextEntity extends Gpf_RestApi_Handler_IdentifierOnly {
    protected function addParams() {
        parent::addParams();
        $this->addParam(new Gpf_RestApi_Param_AnyWord(), self::NEXT_HANDLER_PARAM_NAME);
    }

    protected function addNextEntityHandler(Gpf_RestApi_Handler $handler) {
        $this->addSubHandler($handler);
    }

    protected function handleSelf() {
        Gpf_Log::debug('handling my self ' . get_class($this));
        try {
            $paramValue = $this->getParamValueAndUpdateHandlerString($this->getParam($this->getParamName()));
        } catch (Gpf_RestApi_Param_WrongFormatException $e) {
            $this->nextHandlerName = $this->data->getRequestMethod();
            $result = $this->handleSpecificHandlers(self::SELF_NO_IDENTITNY);
            return $result;
        }
        $this->data->setParam($this->getParamName(), $paramValue);
        Gpf_Log::debug('Got param ' . $this->getParamName() . ' with value ' . $paramValue);
        try {
            $this->nextHandlerName = $this->getParam(self::NEXT_HANDLER_PARAM_NAME)->getValue($this->data->getHandleString());
            $this->getParamValueAndUpdateHandlerString($this->getParam(self::NEXT_HANDLER_PARAM_NAME));
            Gpf_Log::debug('Got next handler name ' . $this->nextHandlerName);
            return;
        } catch (Gpf_RestApi_Param_WrongFormatException $e) {
            $this->nextHandlerName = $this->data->getRequestMethod();
        }
        $result = $this->handleSpecificHandlers(self::SELF_IDENTITNY);
        if ($result !== null && is_object($result)) {
            return $result;
        }
    }
}
?>
