<?php
/**
 *   @copyright Copyright (c) 2012 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package LiveAgentPro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/license
 */

abstract class Gpf_RestApi_Handler_IdentifierOnly extends Gpf_RestApi_Handler {
    public abstract function getParamName();

    const SELF_NO_IDENTITNY = '_self_noid';
    const SELF_IDENTITNY = '_self_id';

    protected function addParams() {
        $this->addParam(new Gpf_RestApi_Param_AnyWord(), $this->getParamName());
    }

    protected function addSelfNoIdentifierHandler(Gpf_RestApi_Handler $handler) {
        $handlerId = $handler->getName() . get_class($handler) . self::SELF_NO_IDENTITNY;
        $this->subHandlers[$handlerId] = $handler;
    }

    protected function addSelfHasIdentifierHandler(Gpf_RestApi_Handler $handler) {
        $handlerId = $handler->getName() . get_class($handler) . self::SELF_IDENTITNY;
        $this->subHandlers[$handlerId] = $handler;
    }

    protected function handleSelf() {
        try {
            $paramValue = $this->getParamValueAndUpdateHandlerString($this->getParam($this->getParamName()));
            $this->data->setParam($this->getParamName(), $paramValue);
        } catch (Gpf_RestApi_Param_WrongFormatException $e) {
            $this->nextHandlerName = $this->data->getRequestMethod();
            $result = $this->handleSpecificHandlers(self::SELF_NO_IDENTITNY);
            if ($result !== null && is_object($result)) {
                return $result;
            }
        }
        $this->nextHandlerName = $this->data->getRequestMethod();
        $result = $this->handleSpecificHandlers(self::SELF_IDENTITNY);
        if ($result !== null && is_object($result)) {
            return $result;
        }
    }
}
?>
