<?php
/**
 *   @copyright Copyright (c) 2012 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package LiveAgentPro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/license
 */

abstract class Gpf_RestApi_Param_Base extends Gpf_Object{
    protected $internalParams = array();
    protected $handlerStrig = '';
    protected $originalHandlerStrig = '';
    protected $counter = 0;
    
    public function __construct($handlerString) {
        $this->handlerStrig = $handlerString;
        $this->originalHandlerStrig = $handlerString;
    }
    
    public abstract function getName();
    public abstract function getValue($handlerStrig);
    
    protected function prepare($handlerStrig) {
        $this->counter = 0;
        $this->handlerStrig = $handlerStrig;
    }
    
    public function getHandlerStringWithoutMe($handlerStrig) {
        $this->prepare($handlerStrig);
        foreach($this->internalParams as $param) {
            $this->popParam($this->handlerStrig);
        }
        return $this->handlerStrig;
    }
    
    protected function popParam($handlerString) {
        $param = $this->internalParams[$this->counter];
        $value = $param->getValue($this->handlerStrig);
        if ($value == null) {
            throw new Gpf_RestApi_Param_WrongFormatException(null);
        }
        $this->handlerStrig = substr($this->handlerStrig, strlen($value));
        if (substr($this->handlerStrig, 0, 1) == '/') {
            $this->handlerStrig = substr($this->handlerStrig, 1);
        }
        $this->counter++;
        return $value;
    }
}
?>
