<?php
/**
 *   @copyright Copyright (c) 2012 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package LiveAgentPro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/license
 */

class Gpf_RestApi_Param_Regexp {
    private $regexp;
    
    public function __construct($regexp) {
        $this->regexp = $regexp;
    }
    
    public function getValue($handlerString) {
        $result = preg_match($this->regexp, $handlerString, $matches);
        if ($result === false) {
            return null;
        }
        if (is_array($matches) && count($matches) > 0) {
            return $matches[0];
        }
        return null;
    }
}
?>
