<?php
/**
 *   @copyright Copyright (c) 2012 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package LiveAgentPro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/license
 */

class Gpf_RestApi_Response_Encoder_Xml extends Gpf_RestApi_Response_Encoder {
    const TYPE = 'xml';
    
    private function toXml($array, $parentName = null, $xml = null) {
        if($xml === null){
            $xml = new SimpleXMLElement('<?xml version=\'1.0\' encoding=\'utf-8\'?><'.key($array).'/>');
            $array = $array[key($array)];
        }
        foreach($array as $key => $value){
            if(is_array($value)){
                if (is_numeric($key)) {
                    if ($parentName == null) {
                        $this->toXml($value, $key, $xml->addChild('item'));
                    } else {
                        if (substr($parentName, -1) == 's') {
                            $this->toXml($value, substr($parentName, 0, -1), $xml->addChild(substr($parentName, 0, -1)));
                        } else {
                            $this->toXml($value, 'item', $xml->addChild('item'));
                        }
                    }
                } else {
                    $this->toXml($value, $key, $xml->addChild($key));
                }
            }else{
                $xml->addChild($key, htmlentities($value));
            }
        }
        return $xml->asXML();
    }

    public function encode(Gpf_RestApi_Response_Base $response) {
        if (Gpf_Php::isExtensionLoaded('xml')) {
            return $this->toXml($response->toArray());
        } else {
            throw new Gpf_Exception('Encoder not avaliable - install Xml extension');
        }
    }

    public function getType() {
        return self::TYPE;
    }

    public function getHeader() {
        return 'text/xml';
    }
}
?>
