<?php
/**
 *   @copyright Copyright (c) 2012 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package LiveAgentPro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/license
 */

class Gpf_RestApi_Response_Encoder_Yaml extends Gpf_RestApi_Response_Encoder {
    public function encode(Gpf_RestApi_Response_Base $response) {
        if (Gpf_Php::isFunctionEnabled('yaml_emit')) {
            return yaml_emit($response->toArray());
        }
        throw new Gpf_Exception('Encoder not avaliable - install Yaml extension');
    }

    public function getType() {
        return 'yaml';
    }

    public function getHeader() {
        return 'text/plain';
    }
}
?>
