<?php
/**
 *   @copyright Copyright (c) 2012 Quality Unit s.r.o.
 *   @author Juraj Simon
 *   @package LiveAgentPro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/license
 */

class Gpf_RestApi_Response_Error extends Gpf_RestApi_Response_Base{
    const DEBUG_MESSAGE = 'debugmessage';
    
    public function __construct(Gpf_RestApi_ProcessingException $e) {
        $statusField = new Gpf_RestApi_Response_TextField('status', 'Status of executed request');
        $statusField->setValue('ERROR');
        $this->addTextField($statusField);
        $codeField = new Gpf_RestApi_Response_IntField('statuscode', 'Status code of executed request');
        $codeField->setValue($e->getCode());
        $this->addIntField($codeField);
        $msgField = new Gpf_RestApi_Response_TextField('errormessage', 'Short error message');
        $msgField->setValue($e->getShortMessage());
        $this->addTextField($msgField);
        $debugMessage = '';
        if (Gpf_Paths::getInstance()->isDevelopementVersion()) {
            $debugMessage = $e->getMessage();
        }
        $dbgMsgField = new Gpf_RestApi_Response_TextField(self::DEBUG_MESSAGE, 'Debug informations');
        $dbgMsgField->setValue($debugMessage);
        $dbgMsgField->setValue($dbgMsgField);
        $this->addTextField($dbgMsgField);
    }
}
?>
