<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Andrej Harsani
 *   @since Version 1.0.0
 *   $Id: AffiliateForm.class.php 18857 2008-06-26 14:57:36Z mbebjak $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Affiliates_Profile_PersonalDetailsForm extends Pap_Merchants_User_AffiliateForm {

	protected function getId(Gpf_Rpc_Form $form) {
		return Gpf_Session::getAuthUser()->getPapUserId();
	}

	protected function initMandatoryFields(Gpf_Data_RecordSet $formFields, array $mandatoryFields) {
		foreach ($formFields as $field) {
			if ($field->get("code") != "parentuserid") {
				$mandatoryFields[$field->get("code")] = $this->_localize($field->get("name"));
			}
		}
		return $mandatoryFields;
	}

    protected function getSaveDbRowObjectMessage($passwordSaved) {
        return $this->_('Personal Details') . ($passwordSaved ? ' ' . $this->_('and') . ' ' . $this->_('Password') : '') . $this->_(' saved');
    }

    protected function checkBeforeFill(Gpf_Rpc_Form $form, Gpf_DbEngine_RowBase $dbRow) {
        if ($this->areChangedReadOnlyFields($form, $dbRow)) {
            $form->setErrorMessage($this->_('Could not change read only fields'));
            return false;
        }
        return true;
    }

    private function areChangedReadOnlyFields(Gpf_Rpc_Form $form, Gpf_DbEngine_RowBase $dbRow) {
        $formFields = Gpf_Db_Table_FormFields::getInstance();
        $fields = $formFields->getFieldsNoRpc('affiliateForm', array(Gpf_Db_FormField::STATUS_READ_ONLY));
        foreach ($fields as $field) {
            if ($form->existsField($field->get('code')) && $dbRow->get($field->get('code')) != $form->getFieldValue($field->get('code'))) {
                return true;
            }
        }
        return false;
    }
}
?>
