<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Matej Kendera
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * returns all active and not stopped campaigns
 * @package PostAffiliatePro
 */
class Pap_Common_Campaign_CampaignForAffiliateTransactionsRichListBox extends Pap_Common_Campaign_CampaignRichListBox {
	
    /**
     * @return Gpf_Data_RecordSet
     */
    protected function getSearchRecordSet() {
        return $this->searchFromRecordSet($this->createRecordSet());
    }
    
    /**
     * @return Gpf_Data_RecordSet
     */
    protected function getChachedRecordSet() {
        return $this->cachedFromRecordSet($this->createRecordSet());
    }
    
    /**
     * @return Gpf_Data_RecordSet
     */
    protected function getIdRecordSet() {
        return $this->searchIdFromRecordSet($this->createRecordSet());
    }
    
    /**
     * @return Gpf_Data_RecordSet
     */
    private function createRecordSet() {
        return $this->getCampaignRecordSetForAffiliateTransactions();
    }
    
    private function getCampaignRecordSetForAffiliateTransactions() {
        $selectBuilder = new Gpf_SqlBuilder_SelectBuilder();
        $selectBuilder->select->add('c.'.Pap_Db_Table_Campaigns::ID, self::ID);
        $selectBuilder->select->add('c.'.Pap_Db_Table_Campaigns::NAME, self::VALUE);
        $selectBuilder->from->add(Pap_Db_Table_Campaigns::getName(), 'c');

        $subSselect = new Gpf_SqlBuilder_SelectBuilder();
        $subSselect->select->add(Pap_Db_Table_Transactions::CAMPAIGN_ID);
        $subSselect->from->add(Pap_Db_Table_Transactions::getName());
        $subSselect->where->add(Pap_Db_Table_Transactions::USER_ID, '=', Gpf_Session::getAuthUser()->getPapUserId());
        $subSselect->groupBy->add(Pap_Db_Table_Transactions::CAMPAIGN_ID);

        $selectBuilder->from->addInnerJoin('(' . $subSselect->toString() . ')', 't', 'c.'.Pap_Db_Table_Campaigns::ID . '= t.'.Pap_Db_Table_Transactions::CAMPAIGN_ID);
        
        $result = new Gpf_Data_RecordSet();
        $result->load($selectBuilder);
        return $result;
    }
}
?>
