<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Matej Kendera
 *   @since Version 1.0.0
 *   $Id: Campaign.class.php 18128 2008-05-20 16:37:37Z mfric $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Common_Utils_LinksUpdater extends Gpf_Object {

    /**
     * @service affiliate_settings write
     * @return Gpf_Rpc_Action
     */
    public function updateImagesUrlLinks(Gpf_Rpc_Params $params) {
        $action = new Gpf_Rpc_Action($params);
        $action->setErrorMessage($this->_('Error during updating image URL links.'));
        $action->setInfoMessage($this->_('Images URL links was successfully updated'));
        $urlSearch = $action->getParam('oldUrlPart');
        $urlReplace = $action->getParam('newUlrPart');

        try {
            $this->updateProgramLogo($urlSearch, $urlReplace);
            $this->updateCampaignsLogo($urlSearch, $urlReplace);
            $this->updateBannersImages($urlSearch, $urlReplace);
            $action->addOk();
        } catch (Gpf_Exception $e) {
            $action->addError();
        }

        return $action;
    }

    private function updateBannersImages($urlSearch, $urlReplace) {
        $update = new Gpf_SqlBuilder_UpdateBuilder();
        $update->from->add(Pap_Db_Table_Banners::getName());
        $update->set->addDontQuote(Pap_Db_Table_Banners::DATA.'1', 'REPLACE('.Pap_Db_Table_Banners::DATA.'1'.',\''.$urlSearch.'\',\''.$urlReplace.'\')');
        $update->set->addDontQuote(Pap_Db_Table_Banners::DATA.'2', 'REPLACE('.Pap_Db_Table_Banners::DATA.'2'.',\''.$urlSearch.'\',\''.$urlReplace.'\')');
        $update->set->addDontQuote(Pap_Db_Table_Banners::DATA.'3', 'REPLACE('.Pap_Db_Table_Banners::DATA.'3'.',\''.$urlSearch.'\',\''.$urlReplace.'\')');
        $update->set->addDontQuote(Pap_Db_Table_Banners::DATA.'4', 'REPLACE('.Pap_Db_Table_Banners::DATA.'4'.',\''.$urlSearch.'\',\''.$urlReplace.'\')');
        $update->set->addDontQuote(Pap_Db_Table_Banners::DATA.'5', 'REPLACE('.Pap_Db_Table_Banners::DATA.'5'.',\''.$urlSearch.'\',\''.$urlReplace.'\')');
        $update->set->addDontQuote(Pap_Db_Table_Banners::DATA.'6', 'REPLACE('.Pap_Db_Table_Banners::DATA.'6'.',\''.$urlSearch.'\',\''.$urlReplace.'\')');
        $update->set->addDontQuote(Pap_Db_Table_Banners::DATA.'7', 'REPLACE('.Pap_Db_Table_Banners::DATA.'7'.',\''.$urlSearch.'\',\''.$urlReplace.'\')');
        $update->set->addDontQuote(Pap_Db_Table_Banners::DATA.'8', 'REPLACE('.Pap_Db_Table_Banners::DATA.'8'.',\''.$urlSearch.'\',\''.$urlReplace.'\')');
        $update->set->addDontQuote(Pap_Db_Table_Banners::DATA.'9', 'REPLACE('.Pap_Db_Table_Banners::DATA.'9'.',\''.$urlSearch.'\',\''.$urlReplace.'\')');
        $update->execute();
    }

    private function updateCampaignsLogo($urlSearch, $urlReplace) {
        $update = new Gpf_SqlBuilder_UpdateBuilder();
        $update->from->add(Pap_Db_Table_Campaigns::getName());
        $update->set->addDontQuote(Pap_Db_Table_Campaigns::LOGO_URL, 'REPLACE('.Pap_Db_Table_Campaigns::LOGO_URL.',\''.$urlSearch.'\',\''.$urlReplace.'\')');
        $update->execute();
    }

    private function updateProgramLogo($urlSearch, $urlReplace) {
        Gpf_Settings::set(Pap_Settings::PROGRAM_LOGO, str_replace($urlSearch, $urlReplace, Gpf_Settings::get(Pap_Settings::PROGRAM_LOGO)));
    }
}
?>
