<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Milos Jancovic
 *   @since Version 1.0.0
 *   $Id: Banner.class.php 16622 2008-03-21 09:39:50Z aharsani $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Db_CampaignRule extends Gpf_DbEngine_Row {

    function init() {
        $this->setTable(Pap_Db_Table_CampaignRules::getInstance());
        parent::init();
    }

    public function getId() {
        return $this->get(Pap_Db_Table_CampaignRules::ID);
    }

    public function setId($ruleId) {
        $this->set(Pap_Db_Table_CampaignRules::ID, $ruleId);
    }

    public function getCampaignId() {
        return $this->get(Pap_Db_Table_CampaignRules::CAMPAIGN_ID);
    }

    public function setCampaignId($campaingId) {
        $this->set(Pap_Db_Table_CampaignRules::CAMPAIGN_ID, $campaingId);
    }

    public function getStatsWhat() {
        return $this->get(Pap_Db_Table_CampaignRules::STATS_WHAT);
    }

    public function setStatsWhat($what) {
        $this->set(Pap_Db_Table_CampaignRules::STATS_WHAT, $what);
    }

    public function geStatstStatus() {
        return $this->get(Pap_Db_Table_CampaignRules::STATS_STATUS);
    }

    public function setStatsStatus($status) {
        $this->set(Pap_Db_Table_CampaignRules::STATS_STATUS, $status);
    }

    public function getStatsDate() {
        return $this->get(Pap_Db_Table_CampaignRules::STATS_DATE);
    }

    public function setStatsDate($date) {
        $this->set(Pap_Db_Table_CampaignRules::STATS_DATE, $date);
    }

    public function getStatsSince() {
        return $this->get(Pap_Db_Table_CampaignRules::STATS_SINCE);
    }

    public function setStatsSince($since) {
        $this->set(Pap_Db_Table_CampaignRules::STATS_SINCE, $since);
    }

    public function getStatsEquation() {
        return $this->get(Pap_Db_Table_CampaignRules::STATS_EQUATION);
    }

    public function setStatsEquation($equation) {
        $this->set(Pap_Db_Table_CampaignRules::STATS_EQUATION, $equation);
    }

    public function getStatsEquationValue1() {
        return $this->get(Pap_Db_Table_CampaignRules::STATS_EQUATION_VALUE_1);
    }

    public function setStatsEquationValue1($eqVal1) {
        $this->set(Pap_Db_Table_CampaignRules::STATS_EQUATION_VALUE_1, $eqVal1);
    }

    public function getStatsEquationValue2() {
        return $this->get(Pap_Db_Table_CampaignRules::STATS_EQUATION_VALUE_2);
    }

    public function setStatsEquationValue2($eqVal2) {
        $this->set(Pap_Db_Table_CampaignRules::STATS_EQUATION_VALUE_2, $eqVal2);
    }

    public function getTimeType() {
        return $this->get(Pap_Db_Table_CampaignRules::TIME_TYPE);
    }

    public function setTimeType($timeType) {
        $this->set(Pap_Db_Table_CampaignRules::TIME_TYPE, $timeType);
    }

    public function getTimeDay() {
        return $this->get(Pap_Db_Table_CampaignRules::TIME_DAY);
    }

    public function setTimeDay($timeDay) {
        $this->set(Pap_Db_Table_CampaignRules::TIME_DAY, $timeDay);
    }

    public function getTimeDate() {
        return $this->get(Pap_Db_Table_CampaignRules::TIME_DATE);
    }

    public function setTimeDate($timeDate) {
        $this->set(Pap_Db_Table_CampaignRules::TIME_DATE, $timeDate);
    }

    public function getTimeHour() {
        return $this->get(Pap_Db_Table_CampaignRules::TIME_HOUR);
    }

    public function setTimeHour($timeHour) {
        $this->set(Pap_Db_Table_CampaignRules::TIME_HOUR, $timeHour);
    }

    public function getStatusTo() {
        return $this->get(Pap_Db_Table_CampaignRules::STATUS_TO);
    }

    public function setStatusTo($statusTo) {
        $this->set(Pap_Db_Table_CampaignRules::STATUS_TO, $statusTo);
    }

    public function getTimeHourInClientTimezone() {
        return (int)$this->getClientHour($this->getTimeHour());
    }

    public function getTimeDateInClientTimezone() {
        return $this->getClientDate($this->getTimeDate(), $this->getTimeHour());
    }

    public function getTimeDayInClientTimezone() {
        if ($this->getTimeType() == Pap_Features_CampaignScheduler_Main::TIME_TYPE_WEEKLY) {
            return $this->shiftWeekDay($this->getTimeDay(), $this->getTimeHour());
        }
        $this->shiftMonthDay($this->getTimeDay(), $this->getTimeHour());
    }

    private function getClientHour($serverTimeHour) {
        if ($serverTimeHour == null || $serverTimeHour == '') {
            return '';
        }
        $serverTimeHour = $serverTimeHour.':00';
        $date = new Gpf_DateTime(Gpf_Common_DateUtils::getTimestamp($serverTimeHour));
        return $date->getClientTime()->getHour();
    }

    private function getClientDate($serverDate, $serverTimeHour) {
        if ($serverDate == null || $serverDate == '') {
            return '';
        }
        $date = new Gpf_DateTime($serverDate);
        $date->addDay($this->getClientTimeDifferenceDays($serverTimeHour));
        return $date->toDate();
    }

    private function shiftWeekDay($day, $serverTimeHour) {
        $day = $day+$this->getClientTimeDifferenceDays($serverTimeHour);
        return $day%7 < 0 ? 7 + $day%7 : $day%7;
    }

    private function shiftMonthDay($day, $serverTimeHour) {
        $day = $day+$this->getClientTimeDifferenceDays($serverTimeHour);
        return $day%31 < 1 ? 31 + $day%31 : $day%31;
    }

    private function getClientTimeDifferenceDays($serverTimeHour) {
        if ($serverTimeHour == null || $serverTimeHour == '') {
            return 0;
        }
        $serverTimeHour = $serverTimeHour.':00';
        $date = new Gpf_DateTime(Gpf_Common_DateUtils::getTimestamp($serverTimeHour));
        if ($date->toDate() != $date->getClientTime()->toDate()) {
            return Gpf_Common_DateUtils::getExactDifference($date->toDate(), $date->getClientTime()->toDate(), Gpf_Common_DateUtils::DAY);
        }
        return 0;
    }
}

?>
