<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Milos Jancovic
 *   @since Version 1.0.0
 *   $Id: DailyClick.class.php 25452 2009-09-23 09:17:15Z mbebjak $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Db_Click extends Pap_Db_ClickImpression {

    private $declinedCountChange = 0;

    protected function init() {
        $this->setTable(Pap_Db_Table_Clicks::getInstance());
        parent::init();
    }

    public function addDeclinedCountChage($count = 1) {
        $this->declinedCountChange = $this->declinedCountChange + $count;
    }

    public function addDeclined() {
        $this->addDeclinedCount(1);
    }

    public function addDeclinedCount($count) {
        $this->setDeclined($this->getDeclined()+$count);
    }

    public function mergeWith(Pap_Db_ClickImpression $clickImpression) {
        parent::mergeWith($clickImpression);
        $this->addDeclinedCount($clickImpression->getDeclined());
    }

    public function setDeclined($value) {
        $this->set(Pap_Db_Table_Clicks::DECLINED, $value);
    }

    public function getDeclined() {
        return $this->get(Pap_Db_Table_Clicks::DECLINED);
    }

    protected function addUpdateCountColumns(Gpf_SqlBuilder_UpdateBuilder $update) {
        $update = parent::addUpdateCountColumns($update);
        if ($this->declinedCountChange != 0) {
            $update->set->add(Pap_Db_Table_Clicks::DECLINED, Pap_Db_Table_Clicks::DECLINED . '+' . $this->declinedCountChange, false);
        }
        return $update;
    }
}

?>
