<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Matej Kendera
 *   @since Version 1.0.0
 *   $Id: Campaigns.class.php 16622 2008-03-21 09:39:50Z aharsani $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Db_Table_CampaignRules extends Gpf_DbEngine_Table {
	const ID = 'ruleid';
	const CAMPAIGN_ID = 'campaignid';
	const STATS_WHAT = 'stats_what';
	const STATS_STATUS = 'status';
	const STATS_DATE = 'stats_date';
	const STATS_SINCE = 'stats_since';
	const STATS_EQUATION = 'equation';
	const STATS_EQUATION_VALUE_1 = 'equationvalue1';
	const STATS_EQUATION_VALUE_2 = 'equationvalue2';
	const TIME_TYPE = 'time_type';
	const TIME_DAY = 'time_day';
	const TIME_DATE = 'time_date';
	const TIME_HOUR = 'time_hour';
	const STATUS_TO = 'status_to';
	
	private static $instance;

	public static function getInstance() {
		if (self::$instance === null) {
			self::$instance = new self;
		}
		return self::$instance;
	}

	protected function initName() {
		$this->setName('pap_campaignrules');
	}

	public static function getName() {
		return self::getInstance()->name();
	}

	protected function initColumns() {
		$this->createPrimaryColumn(self::ID, 'char', 8, true);
		$this->createColumn(self::CAMPAIGN_ID, 'char', 8);
		$this->createColumn(self::STATS_WHAT, 'char', 1);
		$this->createColumn(self::STATS_STATUS, 'char', 1);
		$this->createColumn(self::STATS_DATE, 'char', 4);
		$this->createColumn(self::STATS_SINCE, 'int');
		$this->createColumn(self::STATS_EQUATION, 'char', 1);
		$this->createColumn(self::STATS_EQUATION_VALUE_1, 'float');
		$this->createColumn(self::STATS_EQUATION_VALUE_2, 'float');
		$this->createColumn(self::TIME_TYPE, 'char', 1);
		$this->createColumn(self::TIME_DAY, 'char', 2);
		$this->createColumn(self::TIME_DATE, 'date');
		$this->createColumn(self::TIME_HOUR, 'char', 2);
		$this->createColumn(self::STATUS_TO, 'char', 1);
	}
}
?>
