<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Milos Jancovic
 *   @since Version 1.0.0
 *   $Id: Channels.class.php 18660 2008-06-19 15:30:59Z aharsani $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Db_Table_LifetimeCommissions extends Gpf_DbEngine_Table {
	
    const ID = 'liferefid';
    const USER_ID = 'userid';
    const BANNERID = 'bannerid';
    const CAMPAIGNID = 'campaignid';
    const CHANNELID = 'channelid';
    const IDENTIFIER = 'identifier';
    
    private static $instance;
        
    public static function getInstance() {
        if(self::$instance === null) {
            self::$instance = new self;
        }
        return self::$instance;
    }
        
    protected function initName() {
        $this->setName('pap_lifetime_referrals');
    }
    
    public static function getName() {
        return self::getInstance()->name();
    }
    
    protected function initColumns() {
        $this->createPrimaryColumn(self::ID, self::CHAR, 8, true);
        $this->createColumn(self::USER_ID, self::CHAR, 8);
        $this->createColumn(self::BANNERID, self::CHAR, 8);
        $this->createColumn(self::CAMPAIGNID, self::CHAR, 8);
        $this->createColumn(self::CHANNELID, self::CHAR, 8);
        $this->createColumn(self::IDENTIFIER, self::CHAR, 60);
    }
}
?>
