<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Matej Kendera
 *   @since Version 1.0.0
 *   $Id: Transactions.class.php 30645 2011-01-04 08:16:27Z mkendera $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Db_Table_TransactionsStats extends Gpf_DbEngine_Table implements Pap_Stats_Table {
    const TRANSACTION_ID = 'transstatid';
    const ACCOUNT_ID = Pap_Stats_Table::ACCOUNTID;
    const BANNER_ID = Pap_Stats_Table::BANNERID;
    const PARRENT_BANNER_ID = Pap_Stats_Table::PARENTBANNERID;
    const CAMPAIGN_ID = Pap_Stats_Table::CAMPAIGNID;
    const COUNTRY_CODE = Pap_Stats_Table::COUNTRYCODE;
    const R_STATUS = 'rstatus';
    const R_TYPE = 'rtype';
    const DATE_INSERTED = Pap_Stats_Table::DATEINSERTED;
    const PAYOUT_STATUS = 'payoutstatus';
    const COMMISSION = 'commission';
    const TOTAL_COST = 'totalcost';
    const TIER = 'tier';
    const COMMISSIONTYPEID = 'commtypeid';
    const COMMISSIONCOUNT = 'commissioncount';
    private static $instance;

    /**
     * @return Pap_Db_Table_TransactionsStats
     */
    public static function getInstance() {
        if(self::$instance === null) {
            self::$instance = new self;
        }
        return self::$instance;
    }

    protected function initName() {
        $this->setName('pap_transactions_stats');
    }

    public static function getName() {
        return self::getInstance()->name();
    }

    protected function initColumns() {
        $this->createPrimaryColumn(self::TRANSACTION_ID, self::INT, 8, true);
        $this->createColumn(Pap_Stats_Table::ACCOUNTID, self::CHAR, 8);
        $this->createColumn(self::BANNER_ID, self::CHAR, 8);
        $this->createColumn(self::PARRENT_BANNER_ID, self::CHAR, 8);
        $this->createColumn(self::CAMPAIGN_ID, self::CHAR, 8);
        $this->createColumn(self::COUNTRY_CODE, self::CHAR, 2);
        $this->createColumn(self::R_STATUS, self::CHAR, 1);
        $this->createColumn(self::R_TYPE, self::CHAR, 1);
        $this->createColumn(self::DATE_INSERTED, 'datetime');
        $this->createColumn(self::PAYOUT_STATUS, self::CHAR, 1);
        $this->createColumn(self::COMMISSION, 'float');
        $this->createColumn(self::TOTAL_COST, 'float');
        $this->createColumn(self::TIER, self::INT);
        $this->createColumn(self::COMMISSIONTYPEID, self::CHAR, 8);
        $this->createColumn(self::CHANNEL, self::CHAR, 8);
        $this->createColumn(self::COMMISSIONCOUNT, self::INT);
    }

    /**
     * @return Gpf_SqlBuilder_SelectBuilder
     */
    public function getStatsSelect(Pap_Stats_Params $statParams, $groupColumn, $groupColumnAlias) {
        $stats = new Pap_Stats_Computer_TransactionsStatsBuilder($statParams, $groupColumn, $groupColumnAlias);
        return $stats->getStatsSelect();
    }
}

?>
