<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Matej Kendera
 *   @since Version 1.0.0
 *   $Id: Transaction.class.php 35448 2011-11-03 12:35:13Z mkendera $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Db_TransactionsStatAff extends Gpf_DbEngine_Row {

    function __construct(){
        parent::__construct();
    }

    function init() {
        $this->setTable(Pap_Db_Table_TransactionsStatsAff::getInstance());
        parent::init();
    }

    public function setId($id) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::TRANSACTION_ID, $id);
    }

    public function getId() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::TRANSACTION_ID);
    }

    public function setAccountId($id) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::ACCOUNT_ID, $id);
    }

    public function getAccountId() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::ACCOUNT_ID);
    }

    public function setDateInserted($dateInserted) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::DATE_INSERTED, $dateInserted);
    }

    public function getDateInserted() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::DATE_INSERTED);
    }

    public function getTransactionId() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::TRANSACTION_ID);
    }

    public function setTotalCost($value) {
        if($value == null || $value == '') {
            $value = 0;
        }
        $this->set(Pap_Db_Table_TransactionsStatsAff::TOTAL_COST, $value);
    }

    public function getTotalCost() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::TOTAL_COST);
    }

    public function setType($value) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::R_TYPE, $value);
    }

    public function getType() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::R_TYPE);
    }

    public function setUserId($value) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::USER_ID, $value);
    }

    public function getUserId() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::USER_ID);
    }

    public function setCampaignId($value) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::CAMPAIGN_ID, $value);
    }

    public function getCampaignId() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::CAMPAIGN_ID);
    }

    public function setBannerId($value) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::BANNER_ID, $value);
    }

    public function getBannerId() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::BANNER_ID);
    }

    public function setParentBannerId($value) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::PARRENT_BANNER_ID, $value);
    }

    public function getParentBannerId() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::PARRENT_BANNER_ID);
    }

    public function setCountryCode($value) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::COUNTRY_CODE, $value);
    }

    public function getCountryCode() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::COUNTRY_CODE);
    }

    public function setTier($value) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::TIER, $value);
    }

    public function getTier() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::TIER);
    }

    public function setCommission($value) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::COMMISSION, $value);
    }

    public function getCommission() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::COMMISSION);
    }

    public function setPayoutStatus($value) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::PAYOUT_STATUS, $value);
    }

    public function getPayoutStatus() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::PAYOUT_STATUS);
    }

    public function setStatus($value) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::R_STATUS, $value);
    }

    public function getStatus() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::R_STATUS);
    }

    public function setChannel($value) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::CHANNEL, $value);
    }

    public function getChannel() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::CHANNEL);
    }

    public function setCommissionTypeId($commTypeId) {
        $this->set(Pap_Db_Table_TransactionsStatsAff::COMMISSIONTYPEID, $commTypeId);
    }

    public function getCommissionTypeId() {
        return $this->get(Pap_Db_Table_TransactionsStatsAff::COMMISSIONTYPEID);
    }
}

?>
