<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Milos Jancovic
 *   @since Version 1.0.0
 *   $Id: FormFieldForm.class.php 20176 2008-08-26 13:55:39Z mbebjak $
 *
 *   Licensed under the Quality Unit, s.r.o. Dual License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.qualityunit.com/licenses/gpf
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_AffiliateNetwork_AccountFieldsForm extends Pap_Merchants_Config_ConfigFieldsForm {

    protected function getFormDefinition(){
        return new Pap_Features_AffiliateNetwork_AccountFormDefinition(Gpf_Db_Account::DEFAULT_ACCOUNT_ID);
    }

    protected function getFormId(){
        return Pap_Features_AffiliateNetwork_AccountFormDefinition::FORMID;
    }

    /**
     * @param Gpf_DbEngine_Row $dbRow
     */
    protected function setDefaultDbRowObjectValues(Gpf_DbEngine_Row $dbRow) {
        parent::setDefaultDbRowObjectValues($dbRow);
        $dbRow->set(Gpf_Db_Table_Accounts::ID, Gpf_Db_Account::DEFAULT_ACCOUNT_ID);
    }

    /**
     * @service form_field write
     * @return Gpf_Rpc_Action
     */
    public function saveFields(Gpf_Rpc_Params $params) {
        return $this->saveFieldsRpc($params);
    }

    /**
     * @service form_field read
     * @return Gpf_Rpc_Form
     */
    public function loadFieldsFromFormID(Gpf_Rpc_Params $params) {
        return $this->loadFieldsFromFormIDRpc($params);
    }
}
?>