<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Milos Jancovic
 *   @since Version 1.0.0
 *   $Id: CustomerForm.class.php 19572 2008-08-01 16:43:19Z mjancovic $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_AffiliateNetwork_AccountNotificationsForm extends Gpf_Object {

	/**
	 * @service account_notification read
	 * @param Gpf_Rpc_Params $params
	 * @return Gpf_Rpc_Form
	 */
	public function load(Gpf_Rpc_Params $params) {
		$form = new Gpf_Rpc_Form($params);
		
		$form->setField(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_NEW_ACCOUNT_SIGNUP_BEFORE_APPROVAL, 
		Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_NEW_ACCOUNT_SIGNUP_BEFORE_APPROVAL));
		
		$form->setField(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_REQUEST_PAYMENT, 
		Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_REQUEST_PAYMENT));
		
		$form->setField(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_INVOICE_PAID, 
		Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_INVOICE_PAID));
		
		$form->setField(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_SUSPENDED, 
		Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_SUSPENDED));
		
		$form->setField(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_DECLINED, 
		Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_DECLINED));

		return $form;
	}

	/**
	 * @service account_notification write
	 * @param Gpf_Rpc_Params $params
	 * @return Gpf_Rpc_Form
	 */
	public function save(Gpf_Rpc_Params $params) {
		$form = new Gpf_Rpc_Form($params);
		
		Gpf_Settings::set(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_NEW_ACCOUNT_SIGNUP_BEFORE_APPROVAL, 
		$form->getFieldValue(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_NEW_ACCOUNT_SIGNUP_BEFORE_APPROVAL));
		
		Gpf_Settings::set(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_REQUEST_PAYMENT, 
		$form->getFieldValue(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_REQUEST_PAYMENT));
		
		Gpf_Settings::set(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_INVOICE_PAID, 
		$form->getFieldValue(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_INVOICE_PAID));
		
		Gpf_Settings::set(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_SUSPENDED, 
		$form->getFieldValue(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_SUSPENDED));
		
		Gpf_Settings::set(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_DECLINED, 
		$form->getFieldValue(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_DECLINED));

		return $form;
	}
}
?>