<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Milos Jancovic
 *   @since Version 1.0.0
 *   $Id: CurrenciesGrid.class.php 20370 2008-08-29 09:11:06Z mbebjak $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_AffiliateNetwork_AccountingStatsData extends Gpf_Object {

    /**
     * @service accounting_stats read
     * @param $params
     * @return Gpf_Rpc_Data
     */
    public function load(Gpf_Rpc_Params $params) {
        $data = new Gpf_Rpc_Data($params);

        $accountingStats = new Pap_Features_AffiliateNetwork_Stats_AccountingComputer($this->createStatsParams($data->getFilters()));
        $invoiceStats = new Pap_Features_AffiliateNetwork_Stats_InvoiceComputer($this->createStatsParams($data->getFilters()));

        $data->setValue('commissions', $comm = $accountingStats->getAmount()->getCommissions());
        $data->setValue('fees', $fees = $accountingStats->getAmount()->getFees());
        $data->setValue('payments', $paid = $invoiceStats->getAmount()->getPaid());
        $data->setValue('ballance', - $comm - $fees + $paid);
        return $data;
    }

    /**
     * @param $filters
     * @return Pap_Stats_Params
     */
    protected function createStatsParams(Gpf_Rpc_FilterCollection $filters) {
        $statsParams = new Pap_Stats_Params();
        $statsParams->initFrom($filters);
        return $statsParams;
    }
}
?>