<?php

/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Milos Jancovic
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *   $Id: ActionParser.class.php 16620 2008-03-21 09:21:07Z aharsani $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
abstract class Pap_Features_AffiliateNetwork_Mail_Account extends Gpf_Mail_Template {
	/**
	 * @var Pap_Features_AffiliateNetwork_AccountVariables
	 */
	private $accountVariables;

	public function __construct() {
		parent::__construct();
		$this->isHtmlMail = true;
	}

	public function setAccount(Pap_Account $account) {
		$this->accountVariables->setAccount($account);
	}

	protected function initTemplateVariables() {
		$this->accountVariables = new Pap_Features_AffiliateNetwork_AccountVariables();
		foreach ($this->accountVariables as $variable) {
			$this->addVariable($variable->get('id'), $variable->get('name'));
		}
	}

	protected function setVariableValues() {
		foreach ($this->accountVariables->toValues() as $id => $value) {
			$this->setVariable($id, $value);
		}
	}
	
    protected function getPanelName() {
    	return 'install';
    }
}