<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Milos Jancovic
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *   $Id: ActionParser.class.php 16620 2008-03-21 09:21:07Z aharsani $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_AffiliateNetwork_Mail_AccountSignupBase extends Pap_Features_AffiliateNetwork_Mail_Account {

	/**
	 * @var Pap_Common_User
	 */
	private $user;

	public function setUser(Pap_Common_User $user) {
		$this->user = $user;
	}

	protected function initTemplateVariables() {
		parent::initTemplateVariables();
		$this->addVariable('merchantLoginUrl', $this->_("Merchant Login Url"));
		$this->addVariable('merchantLoginLink', $this->_("Merchant Login Link"));
		$this->addVariable('firstname', $this->_('First name'));
		$this->addVariable('lastname', $this->_('Last name'));
		$this->addVariable('password', $this->_('Password'));
	}

	protected function setVariableValues() {
		parent::setVariableValues();
		$merchantLoginUrl = Gpf_Paths::getInstance()->getFullBaseServerUrl() . 'merchants/login.php';
		$this->setVariable('merchantLoginUrl', $merchantLoginUrl);
		$this->setVariable('merchantLoginLink', '<a href="' . $merchantLoginUrl . '">' . Gpf_Lang::_('Merchant login', null, $this->getRecipientLanguage()) . '</a>');
		if (is_null($this->user)) {
			return;
		}
		$this->setVariable('firstname', $this->user->getFirstName());
		$this->setVariable('lastname', $this->user->getLastName());
		$this->setVariable('password', $this->user->getPassword());
	}
}
?>