<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Milos Jancovic
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *   $Id: ActionParser.class.php 16620 2008-03-21 09:21:07Z aharsani $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_AffiliateNetwork_Mail_CampaignSuspendedAffiliate extends Pap_Mail_UserMail {

	/**
	 * @var array
	 */
	private $suspendedCampaigns = array();

	public function __construct() {
		parent::__construct();
		$this->mailTemplateFile = 'campaign_suspended_affiliate.stpl';
		$this->templateName = Gpf_Lang::_runtime('Affiliate - Campaigns suspended');
		$this->subject = Gpf_Lang::_runtime('Campaigns suspended');
	}

	/**
	 * @param array $suspendedCampaigns (array(array(property => value, secondproperty => value))) 
	 */
	public function setSuspendedCampaigns(array $suspendedCampaigns) {
		$this->suspendedCampaigns = $suspendedCampaigns;
	}

	protected function initTemplateVariables() {
		parent::initTemplateVariables();
		$this->addVariable('suspendedcampaigns', $this->_('Suspended campaigns'));
	}

	protected function setVariableValues() {
		parent::setVariableValues();
		$this->setVariable('suspendedcampaigns', $this->suspendedCampaigns);
	}

	protected function getPanelName() {
		return 'install';
	}
}