<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Milos Jancovic
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *   $Id: ActionParser.class.php 16620 2008-03-21 09:21:07Z aharsani $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
abstract class Pap_Features_AffiliateNetwork_Mail_Invoice extends Pap_Features_AffiliateNetwork_Mail_Account {

	/**
	 * @var Pap_Db_Invoice
	 */
	protected $invoice;
	/**
	 * @var Pap_Features_AffiliateNetwork_InvoiceVariables
	 */
	private $invoiceVariables; 		

	public function setInvoice(Pap_Db_Invoice $invoice) {
		$this->invoice = $invoice;
		$this->invoiceVariables->setInvoice($invoice);		
	}
	
	protected function initTemplateVariables() {
		parent::initTemplateVariables();
		$this->invoiceVariables = new Pap_Features_AffiliateNetwork_InvoiceVariables();	
		foreach ($this->invoiceVariables as $variable) {
			$this->addVariable($variable->get('id'), $variable->get('name'));
		}	
	}

	protected function setVariableValues() {
		parent::setVariableValues();
		$this->setInvoiceVariables();
	}

	protected function setInvoiceVariables() {
		foreach ($this->invoiceVariables->toValues() as $id => $value) {
			$this->setVariable($id, $value);
		}		
	}
}