<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Milos Jancovic
 *   @since Version 1.0.0
 *   $Id: CustomerForm.class.php 19572 2008-08-01 16:43:19Z mjancovic $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_AffiliateNetwork_NetworkAccountForm extends Pap_Features_AffiliateNetwork_AccountsForm {

	/**
	 * @service account write_own
	 * @param $fields
	 * @return Gpf_Rpc_Form
	 */
	public function save(Gpf_Rpc_Params $params) {
		return parent::save($params);
	}

	/**
	 * @service account read_own
	 * @param Gpf_Rpc_Params $params
	 * @return Gpf_Data_RecordSet
	 */
	public function load(Gpf_Rpc_Params $params) {
		return parent::load($params);
	}

    protected function fillSave(Gpf_Rpc_Form $form, Gpf_DbEngine_RowBase $dbRow) {
        if ($this->areChangedReadOnlyFields($form, $dbRow)) {
            $form->setErrorMessage($this->_('Could not change read only fields'));
            return $form;
        }
        $form->setField(Gpf_Db_Table_Accounts::STATUS, $dbRow->getStatus());
    	parent::fillSave($form, $dbRow);    	
    }

    protected function getId(Gpf_Rpc_Form $form) {
        return Gpf_Session::getInstance()->getAuthUser()->getAccountId();
    }

    private function areChangedReadOnlyFields(Gpf_Rpc_Form $form, Gpf_DbEngine_RowBase $dbRow) {
        $formFields = Gpf_Db_Table_FormFields::getInstance();
        $fields = $formFields->getFieldsNoRpc('accountForm', array(Gpf_Db_FormField::STATUS_READ_ONLY));
        foreach ($fields as $field) {
            if ($form->existsField($field->get('code')) && $dbRow->get($field->get('code')) != $form->getFieldValue($field->get('code'))) {
                return true;
            }
        }
        return false;
    }
}