<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Milos Jancovic
 *   @since Version 1.0.0
 *   $Id: CustomerForm.class.php 19572 2008-08-01 16:43:19Z mjancovic $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_AffiliateNetwork_NetworkInvoiceFormatForm extends Gpf_Object {

	/**
	 * @service network_invoice_format read
	 * @param $params
	 * @return Gpf_Rpc_Form
	 */
	public function load(Gpf_Rpc_Params $params) {
		$form = new Gpf_Rpc_Form($params);

		$form->setField(Pap_Features_AffiliateNetwork_Definition::NETWORK_INVOICE, Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::NETWORK_INVOICE));
		$form->setField(Pap_Features_AffiliateNetwork_Definition::NETWORK_PROFORMA_INVOICE, Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::NETWORK_PROFORMA_INVOICE));

		return $form;
	}

	/**
	 * @service network_invoice_format write
	 * @param $params
	 * @return Gpf_Rpc_Form
	 */
	public function save(Gpf_Rpc_Params $params) {
		$form = new Gpf_Rpc_Form($params);

		$this->saveSetting($form, Pap_Features_AffiliateNetwork_Definition::NETWORK_INVOICE);
		$this->saveSetting($form, Pap_Features_AffiliateNetwork_Definition::NETWORK_PROFORMA_INVOICE);

		return $form;
	}
	
	/**
	 * @service network_invoice_format read
	 * @param $params
	 * @return Gpf_Data_RecordSet
	 */
	public function initVariables(Gpf_Rpc_Params $params) {
		$invoice = new Pap_Features_AffiliateNetwork_Invoice();
		return $invoice->getVariables();
	}
	
	private function saveSetting(Gpf_Rpc_Form $form, $settingName) {
		if ($form->existsField($settingName)) {
			Gpf_Settings::set($settingName, $form->getFieldValue($settingName));
		}
	}
}
?>