<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Matej Kendera
 *   @since Version 1.0.0
 *   $Id: AffiliateForm.class.php 20081 2008-08-22 10:21:35Z vzeman $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro plugins
 */
class Pap_Features_AffiliateNetwork_RolePrivilegesForm extends Gpf_Object {

    /**
     * Save role as default for network merchant
     *
     * @service role write
     * @param Gpf_Rpc_Params $params
     * @return Gpf_Rpc_Form
     */
    public function setAsDefault(Gpf_Rpc_Params $params) {
        $action = new Gpf_Rpc_Action($params);
        $role = new Gpf_Db_Role();
        $role->setId($action->getParam('id'));
        $role->load();
        if ($role->getId() == Pap_Application::DEFAULT_ROLE_MERCHANT) {
            $action->addError();
            $action->setErrorMessage($this->_('It is not possible to set network owner as default role, role: %s', $role->getName()));
            return $action;
        }

        Gpf_Settings::set(Pap_Features_AffiliateNetwork_Definition::DEFAULT_NETWORK_MERCHANT_ROLE_SETTING_NAME, $role->getId());
        $action->setInfoMessage($this->_('Default network merchant role changed.'));
        $action->addOk();
        return $action;
    }
}

?>