<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Milos Jancovic
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_AffiliateNetwork_Signup_AccountSignupForm extends Pap_Features_AffiliateNetwork_AccountsForm {

	/**
	 * @anonym
	 * @service
	 * @param $fields
	 * @return Gpf_Rpc_Form
	 */
	public function add(Gpf_Rpc_Params $params) {
		return parent::add($params);
	}

	/**
	 * @anonym
	 * @service
	 * @param $fields
	 * @return Gpf_Rpc_Form
	 */
	public function save(Gpf_Rpc_Params $params) {
		return parent::add($params);
	}

    protected function addRow(Gpf_Rpc_Form $form, Gpf_DbEngine_RowBase $row) {
        parent::addRow($form, $row);
        Pap_Signup_AffiliateForm::setAffiliateLanguage($form, $this->merchant->getAccountUserId());
    }
	
	protected function fillAdd(Gpf_Rpc_Form $form, Gpf_DbEngine_RowBase $dbRow) {
		parent::fillAdd($form, $dbRow);
		if (Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::ACCOUNT_APPROVAL) === Pap_Common_Constants::STATUS_APPROVED) {
			$dbRow->setStatus(Pap_Common_Constants::STATUS_APPROVED);
			$this->merchant->setStatus(Gpf_Db_User::APPROVED);
			return;			
		}
		$dbRow->setStatus(Pap_Common_Constants::STATUS_PENDING);
		$this->merchant->setStatus(Gpf_Db_User::PENDING);
	}
	
	protected function sendEmails(Pap_Account $account) {
		parent::sendEmails($account);
		if (Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::NOTIFICATION_ON_NEW_ACCOUNT_SIGNUP) === Gpf::YES) {
			$this->sendEmailToMerchant($account);
		}
	}

    protected function checkBeforeSave($row, Gpf_Rpc_Form $form, $operationType = self::EDIT) {
        $result = parent::checkBeforeSave($row, $form, $operationType);

        Gpf_Plugins_Engine::extensionPoint('Pap_Features_AffiliateNetwork_Signup_AccountSignupForm.checkBeforeSaveNotApi', $form);
        if ($form->isError()) {
            $result = false; 
        }

        return $result;
    }

	private function sendEmailToMerchant(Pap_Account $account) {
		$mail = new Pap_Features_AffiliateNetwork_Mail_MerchantNewAccountSignup();
		$mail->addRecipient(Pap_Common_User::getMerchantEmail());
		$this->sendEmail($mail, $account);
	}	
}
?>