<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Michal Bebjak
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_AffiliateNetwork_Signup_AccountSignupSettingsForm extends Gpf_Object {

	/**
	 * @service account_signup_setting read
	 * @param $fields
	 */
	public function load(Gpf_Rpc_Params $params) {
		$form = new Gpf_Rpc_Form($params);

		$form->setField(Pap_Features_AffiliateNetwork_Definition::ACCOUNT_APPROVAL, Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::ACCOUNT_APPROVAL));
		$form->setField(Pap_Features_AffiliateNetwork_Definition::ACCOUNT_POST_SIGNUP_TYPE, Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::ACCOUNT_POST_SIGNUP_TYPE));
		$form->setField("postSignupUrl", Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::ACCOUNT_POST_SIGNUP_URL));
        $form->setField(Pap_Features_AffiliateNetwork_Definition::MERCHANT_AGREEMENT, Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::MERCHANT_AGREEMENT));
        $form->setField(Pap_Features_AffiliateNetwork_Definition::FORCE_MERCHANT_AGREEMENT_ACCEPTANCE_SETTING_NAME, Gpf_Settings::get(Pap_Features_AffiliateNetwork_Definition::FORCE_MERCHANT_AGREEMENT_ACCEPTANCE_SETTING_NAME));
        Gpf_Plugins_Engine::extensionPoint('PostAffiliate.AccountSignupSettingsForm.load', $form);
        return $form;
	}

	/**
	 * @service account_signup_setting write
	 * @param $fields
	 */
	public function save(Gpf_Rpc_Params $params) {
		$form = new Gpf_Rpc_Form($params);

		Gpf_Settings::set(Pap_Features_AffiliateNetwork_Definition::ACCOUNT_APPROVAL, $form->getFieldValue(Pap_Features_AffiliateNetwork_Definition::ACCOUNT_APPROVAL));
		Gpf_Settings::set(Pap_Features_AffiliateNetwork_Definition::ACCOUNT_POST_SIGNUP_TYPE, $form->getFieldValue(Pap_Features_AffiliateNetwork_Definition::ACCOUNT_POST_SIGNUP_TYPE));
        Gpf_Settings::set(Pap_Features_AffiliateNetwork_Definition::MERCHANT_AGREEMENT, $form->getFieldValue(Pap_Features_AffiliateNetwork_Definition::MERCHANT_AGREEMENT));
		Gpf_Settings::set(Pap_Features_AffiliateNetwork_Definition::ACCOUNT_POST_SIGNUP_URL, $form->getFieldValue("postSignupUrl"));
		Gpf_Settings::set(Pap_Features_AffiliateNetwork_Definition::FORCE_MERCHANT_AGREEMENT_ACCEPTANCE_SETTING_NAME, $form->getFieldValue(Pap_Features_AffiliateNetwork_Definition::FORCE_MERCHANT_AGREEMENT_ACCEPTANCE_SETTING_NAME));

        Gpf_Plugins_Engine::extensionPoint('PostAffiliate.AccountSignupSettingsForm.save', $form);

		$form->setInfoMessage($this->_("Account signup settings saved"));
		return $form;
	}
}

?>