<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Milos Jancovic
 *   @since Version 1.0.0
 *   $Id: Signup.class.php 25452 2009-09-23 09:17:15Z mbebjak $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */

class Pap_Features_AffiliateNetwork_Signup_SignupAccount extends Pap_SignupBase {

	public function __construct() {
		parent::__construct('com.qualityunit.pap.AccountSignupApplication', 'signup', 'F');
	}

	protected function getFormId() {
		return 'accountForm';
	}

	protected function getSignupFormService() {
		return 'Pap_Features_AffiliateNetwork_Signup_AccountSignupForm';
	}

	protected function getSignupSettingsClassName() {
		return 'Pap_Features_AffiliateNetwork_Signup_AccountSignupApplicationSettings';
	}

	protected function getSignupTemplateName() {
		return 'account_signup_form_panel';
	}

	protected function getMainDocumentTemplate() {
		return 'account_signup_main.stpl';
	}
	
	protected function getCachedTemplateNames() {
		return array_merge(parent::getCachedTemplateNames(), array('account_post_signup_page'));
	}

	protected function executePostRequest(Gpf_Rpc_Params $params) {
		$signupFormHandler = new Pap_Features_AffiliateNetwork_Signup_AccountSignupForm();
		return $signupFormHandler->add($params);
	}

	public function getDefaultTheme() {
	    $themeName = Pap_Branding::DEFAULT_SIGNUP_THEME;
	    try {
	        $themeName = Gpf_Settings::get(Pap_Settings::DEFAULT_AFFILIATE_SIGNUP_THEME);
	    } catch (Exception $e) {
	    }
	    
		$this->initDefaultTheme($themeName);
		return parent::getDefaultTheme();
	}
}
?>