<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Milos Jancovic
 *   @since Version 1.0.0
 *   $Id: CustomerForm.class.php 19572 2008-08-01 16:43:19Z mjancovic $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_AffiliateNetwork_Stats_InvoiceData extends Gpf_Object {

	private $paid = 0;
	private $unpaid = 0;

	public function add(Gpf_Data_Record $row, $name) {
		if ($row->get('type') === Pap_Common_Constants::PSTATUS_PAID) {
			$this->paid += $row->get($name);
			return;
		}
		$this->unpaid += $row->get($name);
	}

	/**
	 * @return String
	 */
	public function getPaid() {
		return $this->paid;
	}

	/**
	 * @return String
	 */
	public function getUnpaid() {
		return $this->unpaid;
	}
}

?>