<?php

/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Matej Kendera
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

class Pap_Features_CampaignScheduler_Definition extends Gpf_Plugins_Definition  {

    const CODE_NAME = 'CampaignScheduler';

    public function __construct() {
        $this->codeName = self::CODE_NAME;
        $this->name = $this->_('Campaign Scheduler');
        $this->description = $this->_('Campaign Scheduler allows you to schedule rules for automatically configuring the campaign status. You can set statistics or time conditions when campaign will be active or inactive.');
        $this->version = '1.0.0';
        $this->pluginType = self::PLUGIN_TYPE_FEATURE;

        $this->addImplementation('PostAffiliate.Transaction.afterSave', 'Pap_Features_CampaignScheduler_Main', 'checkRules');
        $this->addImplementation('Tracker.saveCommissions.beforeSaveTransaction', 'Pap_Features_CampaignScheduler_Main', 'checkTimeRules');
    }

    public function onDeactivate() {
    }

    public function onActivate() {
        $taskRunner = new Gpf_Tasks_Runner();
        if (!$taskRunner->isRunningOK()) {
            throw new Gpf_Exception($this->name.' '.$this->_('require cron job which is not running now. Please set it up in Tools -> Integration -> Cron Job Integration'));
        }
    }
}
?>
