<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Matej Kendera
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_CampaignScheduler_TimeConditionTask extends Gpf_Tasks_LongTask {

    const TASK_PARAM_PLANNEDTASKID = 'plannedtaskid';

    public function getName() {
        return $this->_('Campaign Scheduler');
    }
    protected function execute() {
        Gpf_Log::debug('Campaign Scheduler TimeConditions task started');

        $taskId = $this->getTaskIdFromParams($this->getParams());
        $campainDbRule = new Pap_Db_CampaignRule();
        $campainDbRule->setId($taskId);
        $campainDbRule->load();

        $timeRule = new Pap_Features_CampaignScheduler_TimeRule($campainDbRule);

        try {
            Gpf_Log::debug('Processing campign rule ' . $timeRule->getId() . ': change campaign status to: ' . $timeRule->getAction());
            echo ('Processing campign rule ' . $timeRule->getId() . ': change campaign status to: ' . $timeRule->getAction());
            $timeRule->executeAction(true);
            Gpf_Log::debug('Rule completed');
            echo ('Rule completed');
        } catch (Exception $e) {
            Gpf_Log::error(sprintf('Rule %s failed. Reason: %s', $timeRule->getId(), $e->getMessage()));
            echo (sprintf('Rule %s failed. Reason: %s', $timeRule->getId(), $e->getMessage()));
        }

        Gpf_Log::debug('Campaign Scheduler TimeConditions task ended');
    }

    private function getTaskIdFromParams($dateParams) {
        $params = unserialize($dateParams);
        return $params[self::TASK_PARAM_PLANNEDTASKID];
    }

}
?>
