<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Matej Kendera
 *   @since Version 1.0.0
 *   $Id: AffiliatesGrid.class.php 21464 2008-10-09 09:09:23Z mbebjak $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_Common_AffiliateCampaignsGrid extends Pap_Features_Common_AffiliateGroupGrid {

    protected function initViewColumns() {
        $this->addViewColumn('campaignname', $this->_("Campaign"), true);
        parent::initViewColumns();
    }

    protected function initDataColumns() {
        $this->addDataColumn('campaignname', 'c.'.Pap_Db_Table_Campaigns::NAME);
        parent::initDataColumns();
    }

    protected function initDefaultView() {
        $this->addDefaultViewColumn('campaignname', '', 'D');
        parent::initDefaultView();
    }

    protected function buildWhere() {
        $this->buildFilter();

        $this->_selectBuilder->where->add('u.rtype', '=', Pap_Application::ROLETYPE_AFFILIATE);

        $this->_selectBuilder->where->add('c.'.Pap_Db_Table_Campaigns::STATUS, "=", Pap_Db_Campaign::CAMPAIGN_STATUS_ACTIVE);

        $condition = new Gpf_SqlBuilder_CompoundWhereCondition();
        $condition->add('c.'.Pap_Db_Table_Campaigns::TYPE, '=', Pap_Db_Campaign::CAMPAIGN_TYPE_PUBLIC_MANUAL, 'OR');
        $condition->add('c.'.Pap_Db_Table_Campaigns::TYPE, '=', Pap_Db_Campaign::CAMPAIGN_TYPE_ON_INVITATION, 'OR');
        $this->_selectBuilder->where->addCondition($condition);
    }
}
?>
