<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Matej Kendera
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_MultipleCurrency_Config extends Gpf_Plugins_Config {

    const EXCHANGERATE_UPDATER_ENABLED = 'multipleCurrency_exchange_rate_updater_enabled';

    protected function initFields() {
        $this->addCheckBox($this->_('Automatic exchange rate updater'), self::EXCHANGERATE_UPDATER_ENABLED, $this->_('Exchange rate updater will automatically update exchange rate of your currencies, it is executed once a day.'));
    }

    /**
     * @anonym
     * @service custom_separator write
     * @param Gpf_Rpc_Params $params
     * @return Gpf_Rpc_Form
     */
    public function save(Gpf_Rpc_Params $params) {
        $form = new Gpf_Rpc_Form($params);

        Gpf_Settings::set(self::EXCHANGERATE_UPDATER_ENABLED,
        $form->getFieldValue(self::EXCHANGERATE_UPDATER_ENABLED));

        $config = new Pap_Features_MultipleCurrency_TaskConfig();
        $config->insertDeleteAutoExchangeRateUpdaterTask();

        $form->setInfoMessage($this->_('Settings saved'));
        return $form;
    }

    /**
     * @anonym
     * @service custom_separator read
     * @param Gpf_Rpc_Params $params
     * @return Gpf_Rpc_Form
     */
    public function load(Gpf_Rpc_Params $params) {
        $form = new Gpf_Rpc_Form($params);
        $form->addField(self::EXCHANGERATE_UPDATER_ENABLED, Gpf_Settings::get(self::EXCHANGERATE_UPDATER_ENABLED));
        return $form;
    }
}

?>
