<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Matej Kendera
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Features_PagePeelBanner_BannerHtml extends Pap_Common_Banner_Image {

    const HTML_PEEL = '<style> /* this part (style tag) should be located in header part of HTML page otherwise your page will not be marked as a valid HTML */
#curlx2s6d_TYPE {width:WIDTH_CLOSEDpx;height:HEIGHT_CLOSEDpx;position:fixed;top:0px;POSITIONCORRECTION;transition: ease QUICKNESSs;-webkit-transition: ease QUICKNESSs;-moz-transition: ease QUICKNESSs;-o-transition: ease QUICKNESSs;-ms-transition: ease QUICKNESSs;}
#curlx2s6d_TYPE:hover {width:WIDTH_OPENEDpx;height:HEIGHT_OPENEDpx;transition: ease QUICKNESSs;-webkit-transition: ease QUICKNESSs;-moz-transition: ease QUICKNESSs;-o-transition: ease QUICKNESSs;-ms-transition: ease QUICKNESSs;}
#peelx2s6d_TYPE {background:#BGCOLOR_CLOSED;overflow:hidden;width:WIDTH_CLOSED_INNERpx;height:HEIGHT_CLOSED_INNERpx;position:fixed;top:0px;POSITIONCORRECTION;z-index: 999999;transition: ease QUICKNESSs;-webkit-transition: ease QUICKNESSs;-moz-transition: ease QUICKNESSs;-o-transition: ease QUICKNESSs;-ms-transition: ease QUICKNESSs;}
#peelx2s6d_TYPE:hover {background:#BGCOLOR_OPENED;width:WIDTH_OPENED_INNERpx;height:HEIGHT_OPENED_INNERpx;transition: ease QUICKNESSs;-webkit-transition: ease QUICKNESSs;-moz-transition: ease QUICKNESSs;-o-transition: ease QUICKNESSs;-ms-transition: ease QUICKNESSs;}
</style>

<div id="peelx2s6d_TYPE">
<a href="{$targeturl}" target="WINDOW">
<img style="border:none;position:absolute;top:0px;POSITIONCORRECTION;" src="BACKIMG">
<img id="curlx2s6d_TYPE" style="border:none;top:0px;POSITIONCORRECTION;position:fixed;" src="EDGE_IMAGE">
</a></div><img style="border: 0pt none ;" src="TRACKIMG" alt="" height="1" width="1">';


    const WINDOW_PREVIEW = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
                                                   <html xmlns="http://www.w3.org/1999/xhtml">
                                                   <head><title></title></head>
                                                   <body>BODY_PLACE</body></html>';

    const TYPE_LEFT = 'L';
    const TYPE_LEFT_AND_RIGHT = 'LR';
    const TYPE_RIGHT = 'R';


    protected $widthClosed;
    protected $heightClosed;
    protected $widthOpened;
    protected $heightOpened;

    protected function getBannerCode(Pap_Common_User $user, $flags) {
        return $this->getComleteCode($user,$flags);
    }

    public function getPreview(Pap_Common_User $user) {
        return '<iframe src="'.
        Pap_Tracking_BannerViewer::getBannerScriptUrl('preview',$this->getId(),$this->getChannelId(),$this->getParentBannerId())
        .'" width = "'.($this->getWidthOpened()+15).'" height= "'.($this->getHeightOpened()+15).'" frameborder=0></iframe>';
    }

    public function getWindowPreview(){
        return str_replace('BODY_PLACE', $this->getComleteCode(), self::WINDOW_PREVIEW);
    }

    private function getImpressionCode(Pap_Common_User $user = null){
        if($user === null){
            return $this->getEmptyImg();
        }
        $src = Pap_Tracking_ImpressionTracker::getInstance()->getSrcCode($this, $user, $this->channel);
        $src = str_replace('&amp;','&',$src);
        return $src;
    }

    private function getComleteCode(Pap_Common_User $user = null,$flags =null){
        $type = $this->getData2();
        if($type === self::TYPE_LEFT_AND_RIGHT){
            return $this->getHTMLCode(self::TYPE_LEFT, $user, $flags) . $this->getHTMLCode(self::TYPE_RIGHT, $user, $flags);
        }
        return $this->getHTMLCode($type, $user, $flags);
    }

    private function getHTMLCode($type, Pap_Common_User $user = null, $flags = null) {
        $code =  str_replace(
        array('TYPE', 'POSITIONCORRECTION', 'WIDTH_CLOSED_INNER', 'HEIGHT_CLOSED_INNER',
        'WIDTH_OPENED_INNER', 'HEIGHT_OPENED_INNER',
        'WIDTH_CLOSED', 'HEIGHT_CLOSED', 'WIDTH_OPENED', 'HEIGHT_OPENED',
        'WINDOW', 'BACKIMG', 'BGCOLOR_CLOSED', 'BGCOLOR_OPENED', 'QUICKNESS',
        'EDGE_IMAGE', 'TRACKIMG'),

        array($type, $this->getPosition($type), $this->getInnerSize($this->getWidthClosed()), $this->getInnerSize($this->getHeightClosed()),
        $this->getInnerSize($this->getWidthOpened()), $this->getInnerSize($this->getHeightOpened()),
        $this->getWidthClosed(), $this->getHeightClosed(), $this->getWidthOpened(), $this->getHeightOpened(), 
        $this->getData(1), $this->getData(5), $this->getData(3), $this->getData(8), $this->getData(9),
        $this->getEdgeImageUrl($type), $this->getImpressionCode($user)),
        self::HTML_PEEL);

        if($user === null){
            return str_replace('{$targeturl_encoded}', urlencode($this->getDestinationUrl()), $code);
        }
        return $this->replaceUrlConstants($code, $user, $flags, '');
    }

    public function getImageUrl() {
        return $this->getData(5);
    }

    public function setImageUrl($url) {
        $this->setData(5, $url);
    }

    private function getPosition($type) {
        if ($type === self::TYPE_LEFT){
            return 'left:0';
        }
        return 'right:0';
    }

    private function getInnerSize($size) {
        return intval(($size*0.85));
    }

    private function getEmptyImg() {
        return Gpf_Paths::getInstance()->getFullScriptsUrl() . 'pix.gif';
    }

    private function getEdgeImageUrl($type) {
        $poistion_suffix = '';
        if ($type == self::TYPE_RIGHT) {
            $poistion_suffix = '_right';
        }
        return Gpf_Paths::getInstance()->getFullBaseServerUrl()
        . 'include/Pap/Features/PagePeelBanner/EdgeBanner/edge'.$poistion_suffix.'.png';
    }

    public function encodeSize(Gpf_Rpc_Form $form, $sizeFieldName) {
        parent::encodeSize($form, $sizeFieldName);
        parent::encodeSize($form, 'data6');
        parent::encodeSize($form, 'data7');
    }

    /**
     * decodes one field size into multiple fields required by client
     *
     * @param Gpf_Rpc_Form $form
     */
    public function decodeSize(Gpf_Rpc_Form $form, $sizeFieldName) {
        parent::decodeSize($form, $sizeFieldName);

        $form->setField('data6', $this->getSizeType('data6'));
        if ($form->getFieldValue('data6') == Pap_Db_Banner::SIZE_PREDEFINED) {
            $form->setField('data6size_predefined', $this->getWidthClosed().'x'.$this->getHeightClosed());
        }

        if ($form->getFieldValue('data6') == Pap_Db_Banner::SIZE_OWN) {
            $form->setField('data6size_width', $this->getWidthClosed());
            $form->setField('data6size_height', $this->getHeightClosed());
        }

        $form->setField('data7', $this->getSizeType('data7'));
        if ($form->getFieldValue('data7') == Pap_Db_Banner::SIZE_PREDEFINED) {
            $form->setField('data7size_predefined', $this->getWidthOpened().'x'.$this->getHeightOpened());
        }

        if ($form->getFieldValue('data7') == Pap_Db_Banner::SIZE_OWN) {
            $form->setField('data7size_width', $this->getWidthOpened());
            $form->setField('data7size_height', $this->getHeightOpened());
        }
    }

    public function getWidthClosed() {
        $this->decodeWidthAndHeightClosed();
        return $this->widthClosed;
    }

    public function getHeightClosed() {
        $this->decodeWidthAndHeightClosed();
        return $this->heightClosed;
    }

    public function getWidthOpened() {
        $this->decodeWidthAndHeightOpened();
        return $this->widthOpened;
    }

    public function getHeightOpened() {
        $this->decodeWidthAndHeightOpened();
        return $this->heightOpened;
    }

    private function decodeWidthAndHeightClosed() {
        if ($this->widthClosed !== null) {
            return;
        }
        if ($this->isSizeDefined('data6')) {
            $sizeField = $this->get('data6');
            $sizeArray = explode('x', substr($sizeField, 1));
            if (count($sizeArray) == 2) {
                $this->widthClosed = $sizeArray[0];
                $this->heightClosed = $sizeArray[1];
            }
        } else {
            $this->setUndefinedSizeClosed();
        }
    }

    private function decodeWidthAndHeightOpened() {
        if ($this->widthOpened !== null) {
            return;
        }
        if ($this->isSizeDefined('data7')) {
            $sizeField = $this->get('data7');
            $sizeArray = explode('x', substr($sizeField, 1));
            if (count($sizeArray) == 2) {
                $this->widthOpened = $sizeArray[0];
                $this->heightOpened = $sizeArray[1];
            }
        } else {
            $this->setUndefinedSizeOpened();
        }
    }

    public function isSizeDefined($sizeFieldName = Pap_Db_Table_Banners::SIZE){
        return $this->getSizeType($sizeFieldName) !== self::SIZE_NOTAPPLICABLE;
    }

    protected function setUndefinedSizeClosed() {
        $this->widthClosed = 70;
        $this->heightClosed = 70;
    }

    protected function setUndefinedSizeOpened() {
        $this->widthOpened = 300;
        $this->heightOpened = 300;
    }
}
?>
