<?php

/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Matej Kendera
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *   $Id: MerchantOnSignupContactUs.class.php
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Mail_MerchantOnSignupContactUs extends Gpf_Mail_Template {

	private $userSubject;
	private $userText;
	private $name;
	private $userEmail;
	
    public function __construct() {
        parent::__construct();
        $this->mailTemplateFile = 'merchant_signup_contact_us.stpl';
        $this->isHtmlMail = true;
        $this->templateName = Gpf_Lang::_runtime('Merchant - Contact us form');
        $this->subject = Gpf_Lang::_runtime('Contact us form');
    }
    
    public function setEmail($text, $name, $email) {
    	$this->userText = str_replace('\n', '<br>', $text);
    	$this->name = $name;
    	$this->userEmail = $email;
    }
    
    protected function initTemplateVariables() {
        $this->addVariable("emailtext", $this->_("Email text"));
        $this->addVariable("name", $this->_("Name"));
        $this->addVariable("useremail", $this->_("Email address"));
    }

    protected function setVariableValues() {
    	$this->setVariable("emailtext", $this->userText);
    	$this->setVariable("name", $this->name);
    	$this->setVariable("useremail", $this->userEmail);
    }    
}
