<?php

/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Matej Kendera
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *   $Id: ActionParser.class.php 16620 2008-03-21 09:21:07Z aharsani $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Mail_PaymentRequest extends Pap_Mail_UserMail {

    public function __construct() {
        parent::__construct();
        $this->mailTemplateFile = 'merchant_payment_request.stpl';
        $this->isHtmlMail = true;
        $this->templateName = Gpf_Lang::_runtime('Merchant - Payment request');
        $this->subject = Gpf_Lang::_runtime('Affiliate') . ' {$firstname} {$lastname} ' . Gpf_Lang::_runtime('is requesting payment');
    }

    protected function initTemplateVariables() {
        parent::initTemplateVariables();

        $this->addVariable('totalCommisonsApprovedUnpaid', $this->_('Unpaid commissions approved'));
        $this->addVariable('totalCommissionsPendingUnpaid', $this->_('Unpaid commissions pending'));
    }

    protected function setVariableValues() {
        parent::setVariableValues();

        $statsParams = new Pap_Stats_Params();
        $statsParams->setAffiliateId($this->user->getId());
        $transactions = new Pap_Stats_Transactions(new Pap_Stats_Params());
        $this->setVariable('totalCommisonsApprovedUnpaid', $transactions->getCommission()->getApproved());
        $this->setVariable('totalCommissionsPendingUnpaid', $transactions->getCommission()->getPending());
    }
}
