<?php
/**
*   @copyright Copyright (c) 2007 Quality Unit s.r.o.
*   @package PostAffiliatePro
*   @author Matej Kendera
*   @since Version 1.0.0
*   $Id: TrackingForm.class.php 18081 2008-05-16 12:17:32Z mfric $
*
*   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
*   Version 1.0 (the "License"); you may not use this file except in compliance
*   with the License. You may obtain a copy of the License at
*   http://www.postaffiliatepro.com/licenses/license
*
*/

/**
 * @package PostAffiliatePro
 */
class Pap_Merchants_Config_Affiliate_CampaignsGridSettignsForm extends Gpf_Object {
    const DEFAULT_DOMAIN_VALIDITY = "";

    /**
     * @service affiliate_panel_settings read
     * @param $fields
     */
    public function load(Gpf_Rpc_Params $params) {
        $form = new Gpf_Rpc_Form($params);

        $form->setField(Pap_Settings::AFFILIATE_CAMPAIGNS_GRID_LONG_DESCRIPTION_WIDTH,
            Gpf_Settings::get(Pap_Settings::AFFILIATE_CAMPAIGNS_GRID_LONG_DESCRIPTION_WIDTH));
        $form->setField(Pap_Settings::AFFILIATE_CAMPAIGNS_GRID_LONG_DESCRIPTION_HEIGHT,
            Gpf_Settings::get(Pap_Settings::AFFILIATE_CAMPAIGNS_GRID_LONG_DESCRIPTION_HEIGHT));

        return $form;
    }

    /**
     * @service affiliate_panel_settings write
     * @param $fields
     */
    public function save(Gpf_Rpc_Params $params) {
        $form = new Gpf_Rpc_Form($params);

        Gpf_Settings::set(Pap_Settings::AFFILIATE_CAMPAIGNS_GRID_LONG_DESCRIPTION_WIDTH, $form->getFieldValue(Pap_Settings::AFFILIATE_CAMPAIGNS_GRID_LONG_DESCRIPTION_WIDTH));
        Gpf_Settings::set(Pap_Settings::AFFILIATE_CAMPAIGNS_GRID_LONG_DESCRIPTION_HEIGHT, $form->getFieldValue(Pap_Settings::AFFILIATE_CAMPAIGNS_GRID_LONG_DESCRIPTION_HEIGHT));

        $form->setInfoMessage($this->_("Campaign settings saved"));
        return $form;
    }
}

?>
