<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Matej Kendera
 *   @package GwtPhpFramework
 *   @since Version 1.0.0
 *   $Id: Account.class.php 27612 2010-03-23 13:24:47Z mbebjak $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliate
 */
class Pap_Model_CampaignRule extends Gpf_Object implements Pap_Model_Rule {

    /**
     * @var Pap_Db_CampaignRule
     */
    private $campaignRule;

    /**
     * @var Pap_Common_Transaction
     */
    private $transaction;

    public function __construct(Pap_Db_CampaignRule $dbRow, Pap_Common_Transaction $transaction) {
        $this->campaignRule = $dbRow;
        $this->transaction = $transaction;
    }
    
    /**
     * @return Pap_Db_CampaignRule
     */
    public function getDbRow() {
        return $this->campaignRule;
    }

	/**
     * @return Pap_Common_Transaction
     */
    public function getTransaction(){
        return $this->transaction;
    }
    
    public function getCampaignId() {
        return $this->campaignRule->get(Pap_Db_Table_CampaignRules::CAMPAIGN_ID);
    }
    
    public function getId() {
        return $this->campaignRule->get(Pap_Db_Table_CampaignRules::ID);
    }

    public function getWhat() {
        return $this->campaignRule->get(Pap_Db_Table_CampaignRules::STATS_WHAT);
    }


    public function getStatus() {
        return $this->campaignRule->get(Pap_Db_Table_CampaignRules::STATS_STATUS);
    }


    public function getDate() {
        return $this->campaignRule->get(Pap_Db_Table_CampaignRules::STATS_DATE);
    }


    public function getSince() {
        return $this->campaignRule->get(Pap_Db_Table_CampaignRules::STATS_SINCE);
    }


    public function getEquation() {
        return $this->campaignRule->get(Pap_Db_Table_CampaignRules::STATS_EQUATION);
    }


    public function getEquationValue1() {
        return $this->campaignRule->get(Pap_Db_Table_CampaignRules::STATS_EQUATION_VALUE_1);
    }


    public function getEquationValue2() {
        return $this->campaignRule->get(Pap_Db_Table_CampaignRules::STATS_EQUATION_VALUE_2);
    }
    
    public function getAction() {
        return $this->campaignRule->get(Pap_Db_Table_CampaignRules::STATUS_TO);
    }
}
?>
