<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Matej Kendera
 *   @package GwtPhpFramework
 *   @since Version 1.0.0
 *   $Id: Account.class.php 27612 2010-03-23 13:24:47Z mbebjak $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliate
 */
class Pap_Model_PerformanceRule extends Gpf_Object implements Pap_Model_Rule {

    /**
     * @var Pap_Db_Table_Rules
     */
    private $rule;

    /**
     * @var Pap_Common_Transaction
     */
    private $transaction;

    public function __construct(Pap_Db_Rule $dbRow, Pap_Common_Transaction $transaction) {
        $this->rule = $dbRow;
        $this->transaction = $transaction;
    }
    
    /**
     * @return Pap_Db_Rule
     */
    public function getDbRow() {
        return $this->rule;
    }
    
    /**
     * @return Pap_Common_Transaction
     */
    public function getTransaction(){
        return $this->transaction;
    }
    
    public function getCampaignId() {
        return $this->rule->get(Pap_Db_Table_Rules::CAMPAIGN_ID);
    }
    
    public function getId() {
        return $this->rule->get(Pap_Db_Table_Rules::ID);
    }

    public function getWhat() {
        return $this->rule->get(Pap_Db_Table_Rules::WHAT);
    }


    public function getStatus() {
        return $this->rule->get(Pap_Db_Table_Rules::STATUS);
    }


    public function getDate() {
        return $this->rule->get(Pap_Db_Table_Rules::DATE);
    }


    public function getSince() {
        return $this->rule->get(Pap_Db_Table_Rules::SINCE);
    }


    public function getEquation() {
        return $this->rule->get(Pap_Db_Table_Rules::EQUATION);
    }


    public function getEquationValue1() {
        return $this->rule->get(Pap_Db_Table_Rules::EQUATION_VALUE_1);
    }


    public function getEquationValue2() {
        return $this->rule->get(Pap_Db_Table_Rules::EQUATION_VALUE_2);
    }
    
    public function getAction() {
        return $this->rule->get(Pap_Db_Table_Rules::ACTION);
    }
}
?>
