<?php
/**
*   @copyright Copyright (c) 2007 Quality Unit s.r.o.
*   @package PostAffiliatePro
*   @author Matej Kendera
*   @since Version 1.0.0
*   $Id: LoggingForm.class.php 18882 2008-06-27 12:15:52Z mfric $
*
*   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
*   Version 1.0 (the "License"); you may not use this file except in compliance
*   with the License. You may obtain a copy of the License at
*   http://www.postaffiliatepro.com/licenses/license
*
*/

/**
 * @package PostAffiliatePro
 */
class Pap_Signup_ContactUsForm extends Gpf_Object {
    /**
     * Processes contact us form and sends email to merchant
     *
     * @anonym
     * @service
     * @param $fields
     */
    public function save(Gpf_Rpc_Params $params) {
        $form = new Gpf_Rpc_Form($params);

        $text = $this->getFieldValue($form, "text");
        $name = $this->getFieldValue($form, "name");
        $emailAddress = $this->getFieldValue($form, "email");

        $mailTemplate = new Pap_Mail_MerchantOnSignupContactUs();
        $mailTemplate->setEmail($text, $name, $emailAddress);
        $mailTemplate->addRecipient(Pap_Common_User::getMerchantEmail());
        $mailTemplate->setFromEmail($emailAddress);
        $mailTemplate->setFromName($name);
        $mailTemplate->send();

        $form->setInfoMessage($this->_("Email was successfully sent to merchant"));
        return $form;
    }

    private function getFieldValue(Gpf_Rpc_Form $form, $fieldName) {
    	if($form->existsField($fieldName)) {
    		return $form->getFieldValue($fieldName);
    	}
    	return '';
    }
}

?>
