<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @package PostAffiliatePro
 *   @author Matej Kendera
 *   @since Version 1.0.0
 *   $Id: AffiliateForm.class.php 20390 2008-08-29 13:11:12Z mbebjak $
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Signup_MerchantInfo extends Gpf_Object {

    /**
     * @anonym
     * @service
     * @return Gpf_Rpc_Form
     */
    public function load(Gpf_Rpc_Params $params) {
        $form = new Gpf_Rpc_Form($params);
        $user = Pap_Merchants_User::getUserById(Gpf_Settings::get(Pap_Settings::DEFAULT_MERCHANT_ID));

        $form->setField(Gpf_Db_Table_AuthUsers::FIRSTNAME, $user->getFirstName());
        $form->setField(Gpf_Db_Table_AuthUsers::LASTNAME, $user->getLastName());
        $form->setField(Pap_Db_Table_Users::PHOTO, $user->get(Pap_Db_Table_Users::PHOTO));
        for ($i=1; $i<=25; $i++) {
            $form->setField(Pap_Db_Table_Users::getDataColumnName($i), $user->getData($i));
        }
        return $form;
    }
}

?>
