<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Matej Kendera
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class Pap_Stats_GroupOldStatsTask extends Gpf_Tasks_LongTask {

    public function getName() {
        return $this->_('Group Old Stats Task');
    }

    /**
     *  once a week adds into Pap_Db_Table_TransStatsDays days of transactions which will be grouped by days instead of hours (older transactions than Pap_Settings::SALES_HOURS_STATS_MAX_DAYS)
     */
    protected function execute() {
        $maxAgeDay = new Gpf_DateTime(Gpf_Common_DateUtils::now());
        $maxAgeDay->addDay(-1 * Gpf_Settings::get(Pap_Settings::SALES_HOURS_STATS_MAX_DAYS));
        
        $select = new Gpf_SqlBuilder_SelectBuilder();
        $select->select->setDistinct();
        $select->select->add('DATE_FORMAT(' . Pap_Db_Table_TransactionsStatsAff::DATE_INSERTED .', "%Y-%m-%d")');
        $select->from->add(Pap_Db_Table_TransactionsStatsAff::getName());
        $select->where->add(Pap_Db_Table_TransactionsStatsAff::DATE_INSERTED, '<',  $maxAgeDay->toDate());
        $select->where->add('DATE_FORMAT(' . Pap_Db_Table_TransactionsStatsAff::DATE_INSERTED .', "%H")', '<>', '00');
        
        $insertString = 'INSERT IGNORE INTO '.Pap_Db_Table_TransStatsDays::getName().'
                ('.Pap_Db_Table_TransStatsDays::DATEINSERTED.') ' . $select->toString();

        Gpf_DbEngine_Database::getDatabase()->execute($insertString);

        $this->setDone();
    }
}
?>
