<?php
/**
 * Update step will move file settings to DB settings
 * Only DB connection settings will remain in the file settings
 *
 */
class gpf_update_1_2_0 {
	public function execute() {

		//move file settings to DB

		//load default setting names
		$settings = new Gpf_File_Settings(null);
		$parameters = $settings->getAll();
		foreach ($parameters as $name => $value) {
			try {
				Gpf_Settings::set($name, $value);
			} catch (Gpf_Exception $e) {
				//skipp unknown settings
			}
		}

		//load account specific setting names
		$settings = new Gpf_File_Settings(Gpf_Application::getInstance()->getAccountId());
		$parameters = $settings->getAll();
		foreach ($parameters as $name => $value) {
			try {
				Gpf_Settings::set($name, $value);
			} catch (Gpf_Exception $e) {
				//skipp unknown settings
			}
		}
	}
}
?>
