-- -----------------------------------------------------
-- Table `qu_pap_transactions_stats_aff`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `qu_pap_transactions_stats_aff` (
  `transstatid` BIGINT NOT NULL AUTO_INCREMENT ,
  `accountid` CHAR(8) NOT NULL ,
  `userid` CHAR(8) NULL ,
  `bannerid` CHAR(8) NULL ,
  `campaignid` CHAR(8) NULL ,
  `rstatus` CHAR(1) NULL ,
  `rtype` CHAR(1) NULL ,
  `dateinserted` DATETIME NULL ,
  `payoutstatus` CHAR(1) NULL ,
  `countrycode` VARCHAR(2) NULL ,
  `tier` TINYINT NULL ,
  `commtypeid` CHAR(8) NULL ,
  `channel` VARCHAR(8) NULL ,
  `commission` DOUBLE NULL ,
  `totalcost` DOUBLE NULL ,
  `commissioncount` INT NULL ,
  `parentbannerid` CHAR(8) NULL ,
  PRIMARY KEY (`transstatid`) ,
  INDEX `fk_qu_pap_transactions_stats_aff_qu_g_accounts1` (`accountid` ASC) ,
  INDEX `fk_qu_pap_transactions_stats_aff_qu_pap_users1` (`userid` ASC) ,
  INDEX `fk_qu_pap_transactions_stats_aff_qu_pap_banners1` (`bannerid` ASC) ,
  INDEX `fk_qu_pap_transactions_stats_aff_qu_pap_campaigns1` (`campaignid` ASC) ,
  INDEX `fk_qu_pap_transactions_stats_aff_qu_pap_channels1` (`channel` ASC) ,
  INDEX `IDX_qu_pap_transactions_stats_aff_rtype` (`rtype` ASC) ,
  CONSTRAINT `fk_qu_pap_transactions_stats_aff_qu_g_accounts1`
    FOREIGN KEY (`accountid` )
    REFERENCES `qu_g_accounts` (`accountid` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_qu_pap_transactions_stats_aff_qu_pap_users1`
    FOREIGN KEY (`userid` )
    REFERENCES `qu_pap_users` (`userid` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_qu_pap_transactions_stats_aff_qu_pap_banners1`
    FOREIGN KEY (`bannerid` )
    REFERENCES `qu_pap_banners` (`bannerid` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_qu_pap_transactions_stats_aff_qu_pap_campaigns1`
    FOREIGN KEY (`campaignid` )
    REFERENCES `qu_pap_campaigns` (`campaignid` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_qu_pap_transactions_stats_aff_qu_pap_channels1`
    FOREIGN KEY (`channel` )
    REFERENCES `qu_pap_channels` (`channelid` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = MyISAM;

-- -----------------------------------------------------
-- Table `qu_pap_transactions_stats`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `qu_pap_transactions_stats` (
  `transstatid` BIGINT NOT NULL AUTO_INCREMENT ,
  `accountid` CHAR(8) NOT NULL ,
  `bannerid` CHAR(8) NULL ,
  `campaignid` CHAR(8) NULL ,
  `rstatus` CHAR(1) NULL ,
  `rtype` CHAR(1) NULL ,
  `dateinserted` DATETIME NULL ,
  `payoutstatus` CHAR(1) NULL ,
  `countrycode` VARCHAR(2) NULL ,
  `tier` TINYINT NULL ,
  `commtypeid` CHAR(8) NULL ,
  `channel` VARCHAR(8) NULL ,
  `commission` DOUBLE NULL ,
  `totalcost` DOUBLE NULL ,
  `commissioncount` INT NULL ,
  `parentbannerid` CHAR(8) NULL ,
  PRIMARY KEY (`transstatid`) ,
  INDEX `fk_qu_pap_transactions_stats_qu_g_accounts1` (`accountid` ASC) ,
  INDEX `fk_qu_pap_transactions_stats_qu_pap_banners1` (`bannerid` ASC) ,
  INDEX `fk_qu_pap_transactions_stats_qu_pap_campaigns1` (`campaignid` ASC) ,
  INDEX `fk_qu_pap_transactions_stats_qu_pap_channels1` (`channel` ASC) ,
  INDEX `IDX_qu_pap_transactions_stats_rtype` (`rtype` ASC) ,
  CONSTRAINT `fk_qu_pap_transactions_stats_qu_g_accounts10`
    FOREIGN KEY (`accountid` )
    REFERENCES `qu_g_accounts` (`accountid` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_qu_pap_transactions_stats_qu_pap_banners10`
    FOREIGN KEY (`bannerid` )
    REFERENCES `qu_pap_banners` (`bannerid` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_qu_pap_transactions_stats_qu_pap_campaigns10`
    FOREIGN KEY (`campaignid` )
    REFERENCES `qu_pap_campaigns` (`campaignid` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_qu_pap_transactions_stats_qu_pap_channels10`
    FOREIGN KEY (`channel` )
    REFERENCES `qu_pap_channels` (`channelid` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = MyISAM;

-- -----------------------------------------------------
-- Table `qu_pap_transstatsdays`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `qu_pap_transstatsdays` (
  `dateinserted` DATE NOT NULL ,
  PRIMARY KEY (`dateinserted`) )
ENGINE = MyISAM;

TRUNCATE qu_pap_transstatsdays;