<?php
class pap_update_4_9_1 {
	public function execute() {
		if (Gpf_Common_ApplicationUtils::inBrowser() && $this->getTransactionsCount() > 200000) {
			//rename table and create empty table
			Gpf_DbEngine_Database::getDatabase()->execute('RENAME TABLE qu_pap_transactions TO qu_pap_transactions_oldxsb');
			Gpf_DbEngine_Database::getDatabase()->execute('CREATE  TABLE IF NOT EXISTS qu_pap_transactions (
					transid CHAR(8) NOT NULL ,
					accountid CHAR(8) NOT NULL ,
					userid CHAR(8) NULL DEFAULT NULL ,
					bannerid CHAR(8) NULL DEFAULT NULL ,
					parentbannerid VARCHAR(8) NULL DEFAULT NULL ,
					campaignid CHAR(8) NULL DEFAULT NULL ,
					countrycode VARCHAR(2) NULL DEFAULT NULL ,
					parenttransid CHAR(8) NULL DEFAULT NULL ,
					rstatus CHAR(1) NULL DEFAULT NULL COMMENT \'A - approved P - pending D - declined\' ,
					rtype CHAR(1) NULL DEFAULT NULL COMMENT \'S - sale B - signup bonus R - refund C - click I - CPM E - Extra bonus\' ,
					dateinserted DATETIME NULL DEFAULT NULL ,
					dateapproved DATETIME NULL DEFAULT NULL ,
					payoutstatus CHAR(40) NOT NULL DEFAULT \'U\' COMMENT \'NULL or U - unpaid P - paid\' ,
					refererurl TEXT NULL DEFAULT NULL ,
					ip CHAR(39) NULL DEFAULT NULL ,
					browser VARCHAR(6) NULL DEFAULT NULL ,
					commission DOUBLE NULL DEFAULT NULL ,
					split FLOAT NOT NULL DEFAULT 1 ,
					recurringcommid CHAR(8) NULL DEFAULT NULL ,
					clickcount INT UNSIGNED NULL DEFAULT NULL ,
					firstclicktime DATETIME NULL DEFAULT NULL ,
					firstclickreferer TEXT NULL DEFAULT NULL ,
					firstclickip VARCHAR(39) NULL DEFAULT NULL ,
					firstclickdata1 VARCHAR(255) NULL DEFAULT NULL ,
					firstclickdata2 VARCHAR(255) NULL DEFAULT NULL ,
					lastclicktime DATETIME NULL DEFAULT NULL ,
					lastclickreferer TEXT NULL DEFAULT NULL ,
					lastclickip VARCHAR(39) NULL DEFAULT NULL ,
					lastclickdata1 VARCHAR(255) NULL DEFAULT NULL ,
					lastclickdata2 VARCHAR(255) NULL DEFAULT NULL ,
					trackmethod CHAR(1) NULL DEFAULT \'U\' ,
					orderid VARCHAR(255) NULL DEFAULT NULL ,
					productid VARCHAR(60) NULL DEFAULT NULL ,
					totalcost DOUBLE NULL DEFAULT NULL ,
					fixedcost FLOAT NULL DEFAULT NULL ,
					data1 VARCHAR(255) NULL DEFAULT NULL ,
					data2 VARCHAR(255) NULL DEFAULT NULL ,
					data3 VARCHAR(255) NULL DEFAULT NULL ,
					data4 VARCHAR(255) NULL DEFAULT NULL ,
					data5 VARCHAR(255) NULL DEFAULT NULL ,
					systemnote VARCHAR(250) NULL DEFAULT NULL COMMENT \'note from system\' ,
					merchantnote VARCHAR(250) NULL DEFAULT NULL COMMENT \'note from merchant\' ,
					originalcurrencyid CHAR(8) NULL DEFAULT NULL ,
					originalcurrencyvalue FLOAT NULL DEFAULT NULL ,
					originalcurrencyrate FLOAT NULL DEFAULT NULL ,
					tier TINYINT UNSIGNED NOT NULL DEFAULT 1 COMMENT \'transaction tier\' ,
					commtypeid CHAR(8) NULL DEFAULT NULL ,
					commissiongroupid CHAR(8) NULL DEFAULT NULL ,
					payouthistoryid CHAR(8) NULL DEFAULT NULL ,
					channel VARCHAR(10) NOT NULL DEFAULT \'\' ,
					couponid CHAR(8) NULL DEFAULT NULL ,
					visitorid CHAR(32) NULL DEFAULT NULL ,
					saleid CHAR(8) NULL ,
					loggroupid VARCHAR(16) NULL ,
					allowfirstclickdata VARCHAR(1) NULL DEFAULT NULL ,
					allowlastclickdata VARCHAR(1) NULL DEFAULT NULL ,
					PRIMARY KEY (transid) ,
					INDEX IDX_qu_pap_transactions_1 (userid ASC) ,
					INDEX IDX_qu_pap_transactions_2 (bannerid ASC) ,
					INDEX IDX_qu_pap_transactions_3 (campaignid ASC) ,
					INDEX IDX_qu_pap_transactions_4 (parentbannerid ASC) ,
					INDEX IDX_qu_pap_transactions_5 (parenttransid ASC) ,
					INDEX IDX_qu_pap_transactions_6 (commtypeid ASC) ,
					INDEX IDX_qu_pap_transactions_7 (payouthistoryid ASC) ,
					INDEX qu_pap_coupons_qu_pap_transactions (couponid ASC) ,
					INDEX fk_qu_pap_transactions_qu_g_accounts1 (accountid ASC) ,
					INDEX IDX_qu_pap_transactions_dateinserted USING BTREE (dateinserted ASC) ,
					INDEX qu_pap_commissiongroups_qu_pap_transactions (commissiongroupid ASC) ,
					INDEX IDX_qu_pap_transactions_orderid (orderid ASC) ,
					INDEX IDX_qu_pap_transactions_data1 (data1 ASC) ,
					INDEX IDX_qu_pap_transactions_data2 (data2 ASC) ,
					INDEX IDX_qu_pap_transactions_rtype (rtype ASC) ,
					CONSTRAINT qu_pap_users_qu_pap_transactions
					FOREIGN KEY (userid )
					REFERENCES qu_pap_users (userid ),
					CONSTRAINT qu_pap_banners_qu_pap_transactions
					FOREIGN KEY (bannerid )
					REFERENCES qu_pap_banners (bannerid ),
					CONSTRAINT qu_pap_campaigns_qu_pap_transactions
					FOREIGN KEY (campaignid )
					REFERENCES qu_pap_campaigns (campaignid ),
					CONSTRAINT qu_pap_banners_qu_pap_transactions_parent
					FOREIGN KEY (parentbannerid )
					REFERENCES qu_pap_banners (bannerid ),
					CONSTRAINT qu_pap_transactions_qu_pap_transactions
					FOREIGN KEY (parenttransid )
					REFERENCES qu_pap_transactions (transid ),
					CONSTRAINT qu_pap_commissiontypes_qu_pap_transactions
					FOREIGN KEY (commtypeid )
					REFERENCES qu_pap_commissiontypes (commtypeid ),
					CONSTRAINT qu_pap_payouthistory_qu_pap_transactions
					FOREIGN KEY (payouthistoryid )
					REFERENCES qu_pap_payouthistory (payouthistoryid ),
					CONSTRAINT qu_pap_coupons_qu_pap_transactions
					FOREIGN KEY (couponid )
					REFERENCES qu_pap_coupons (couponid ),
					CONSTRAINT fk_qu_pap_transactions_qu_g_accounts1
					FOREIGN KEY (accountid )
					REFERENCES qu_g_accounts (accountid )
					ON DELETE NO ACTION
					ON UPDATE NO ACTION,
					CONSTRAINT qu_pap_commissiongroups_qu_pap_transactions
					FOREIGN KEY (commissiongroupid )
					REFERENCES qu_pap_commissions (commissiongroupid )
					ON DELETE NO ACTION
					ON UPDATE NO ACTION)');
		} else {
			//change table
			Gpf_DbEngine_Database::getDatabase()->execute('ALTER TABLE qu_pap_transactions MODIFY orderid VARCHAR( 255 ) CHARACTER SET utf8 NULL DEFAULT NULL, MODIFY productid VARCHAR( 255 ) CHARACTER SET utf8 NULL DEFAULT NULL');
		}
	}

	private function getTransactionsCount() {
		$result = Gpf_DbEngine_Database::getDatabase()->execute('SELECT count(*) FROM qu_pap_transactions;');
		$row = $result->fetchRow();
		return $row[0];
	}
}
?>
