<?php
class pap_update_4_9_4 {
	public function execute() {
	    $selectBuilder = new Gpf_SqlBuilder_SelectBuilder();
	    $selectBuilder->select->add('ct.'.'commtypeid', 'commtypeid');
	    $selectBuilder->select->add('ct.'.'campaignid', 'campaignid');
	    $selectBuilder->select->add('ct.'.'fixedcosttype', 'fixedcosttype');
	    $selectBuilder->select->add('ct.'.'fixedcostvalue', 'fixedcostvalue');
	    $selectBuilder->select->add('cg.'.'commissiongroupid', 'commissiongroupid');
	    $selectBuilder->from->add(Pap_Db_Table_CommissionTypes::getName(), 'ct');
	    $selectBuilder->from->addInnerJoin(Pap_Db_Table_CommissionGroups::getName(), 'cg', 'ct.campaignid = cg.campaignid');

	    $whereCondition = new Gpf_SqlBuilder_CompoundWhereCondition();
	    $whereCondition->add('ct.'.'rtype', '=', 'S', 'OR');
	    $whereCondition->add('ct.'.'rtype', '=', 'A', 'OR');

	    $selectBuilder->where->addCondition($whereCondition);
	    $selectBuilder->where->add('ct.'.'fixedcostvalue', '!=', 0);
	    $selectBuilder->where->add('ct.'.'fixedcostvalue', '!=', null);

	    try {
    	    foreach ($selectBuilder->getAllRowsIterator() as $commissionType) {
    	        $this->insertCommissionRecord($commissionType->get('fixedcosttype'), $commissionType->get('fixedcostvalue'), $commissionType->get('commtypeid'), $commissionType->get('commissiongroupid'));
    	    }
	    } catch (Gpf_DbEngine_Driver_Mysql_SqlException $e) {
	    }
	}

	private function insertCommissionRecord($commissionType, $commissionValue, $commissionTypeId, $commissionGroupId) {
	    $commission = new Pap_Db_Commission();
	    $commission->setTier(1);
	    $commission->setSubtype(Pap_Db_Table_Commissions::SUBTYPE_FIXEDCOST);
	    $commission->setGroupId($commissionGroupId);
	    $commission->setTypeId($commissionTypeId);
	    $commission->setCommType($commissionType);
	    $commission->setCommission($commissionValue);
	    try {
	        $commission->insert();
	    } catch (Gpf_DbEngine_Row_ConstraintException $e) {
	    }
	}
}
?>
