<?php
/**
 *   @copyright Copyright (c) 2009 Quality Unit s.r.o.
 *   @author Matej Kendera
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */
class AutoApprovalCommissions_Config extends Gpf_Plugins_Config {
    const ENABLE_MERCHANT_NOTIFICATIONS = 'AutoApproval_enableMerchantNotifications';

    protected function initFields() {
        $this->addCheckBox($this->_('Enable merchant approval notifications'), self::ENABLE_MERCHANT_NOTIFICATIONS, $this->_('If this is checked, merchant will receive notifications when transactions are approved by plugin.'));
    }

    /**
     * @anonym
     * @service custom_separator write
     * @param Gpf_Rpc_Params $params
     * @return Gpf_Rpc_Form
     */
    public function save(Gpf_Rpc_Params $params) {
        $form = new Gpf_Rpc_Form($params);
        Gpf_Settings::set(self::ENABLE_MERCHANT_NOTIFICATIONS, $form->getFieldValue(self::ENABLE_MERCHANT_NOTIFICATIONS));
        $form->setInfoMessage($this->_('Plugin configuration saved'));
        return $form;
    }

    /**
     * @anonym
     * @service custom_separator read
     * @param Gpf_Rpc_Params $params
     * @return Gpf_Rpc_Form
     */
    public function load(Gpf_Rpc_Params $params) {
        $form = new Gpf_Rpc_Form($params);
        $form->addField(self::ENABLE_MERCHANT_NOTIFICATIONS, Gpf_Settings::get(self::ENABLE_MERCHANT_NOTIFICATIONS));
        return $form;
    }
}

?>
