<?php

/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Martin Pullmann
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

class CustomRecurringLevel_Definition extends Gpf_Plugins_Definition  {
	public function __construct() {
		$this->codeName = 'CustomRecurringLevel';
		$this->name = $this->_('Custom recurring level');
		$this->description = $this->_('The plugin gives you an option to set different commission values for recurring commissions. E.g. if you want to give 50% for the first order, then 30% for the second, 10% for the third and then no commission, this plugin will work for you.');
		$this->version = '1.1.1';
		$this->configurationClassName = 'CustomRecurringLevel_Config';

		$this->addRequirement('PapCore', '4.0.4.6');
		$this->addRefuse('SplitCommissions');

		$this->addImplementation('Core.defineSettings', 'CustomRecurringLevel_Main', 'initSettings');
		$this->addImplementation('Tracker.saveCommissions.beforeSaveTransaction', 'CustomRecurringLevel_Main', 'processLevels');
	}
}
?>
