<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Viktor Zeman
 *   @package GwtPhpFramework
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package GwtPhpFramework
 */
class GoogleMaps_Definition extends Gpf_Plugins_Definition {

    public function __construct() {
        $this->codeName =  'GoogleMaps';
        $this->name = $this->_('Google Maps');
        $this->description = $this->_('Plugin requires GeoIp Core module. Without it it will not work. If the module is activated together with the GeoIp module, when you click on any IP address, you get the IP details in a popup together with map.');
        $this->version = '1.0.0';

        $this->addRequirement('GeoIp', '1.0.0');

        $this->addImplementation('Core.initJsResources', 'GoogleMaps_Main', 'initJsResources');
        $this->addImplementation('Core.loadSetting', 'GoogleMaps_Main', 'loadSetting');
    }
}

?>
