<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Viktor Zeman
 *   @package GwtPhpFramework
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package GwtPhpFramework
 */
class GoogleMaps_Main extends Gpf_Plugins_Handler {
    const SETTING_MAP_API_KEY = 'MAP_API_KEY';

    /**
     * @return GoogleMaps_Main
     */
    public static function getHandlerInstance() {
        return new GoogleMaps_Main();
    }

    /**
     * Load javascript library required by google maps
     *
     * @param Gpf_Contexts_Module $context
     */
    public function initJsResources(Gpf_Contexts_Module $context) {
        $context->addJsResource((Gpf_Http::isSSL()?'https':'http') . '://maps.googleapis.com/maps/api/js?sensor=false');
    }

    public function initSettings($context) {
    }

    public function loadSetting(Gpf_ApplicationSettings $context) {
        $context->addValue('googlemaps', 'Y');
    }
}
?>
