<?php
/**
 *   @copyright Copyright (c) 2007 Quality Unit s.r.o.
 *   @author Martin Pullmann
 *   @package PostAffiliatePro
 *   @since Version 1.0.0
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 *
 */

/**
 * @package PostAffiliatePro
 */

class MinTotalCost_Definition extends Gpf_Plugins_Definition {

    public function __construct() {
        $this->codeName =  'MinTotalCost';
        $this->name = $this->_('Minimum total cost');
        $this->description = $this->_('This plugin adds an extra option to your commission settings where you can define a minimum total cost which has to be reached (per transaction) for commission to be created. If total cost is lower, no commission will be generated.');
        $this->version = '1.0.0';

        $this->addRequirement('PapCore', '4.2.10.4');

        $this->addImplementation('PostAffiliate.CommissionTypeEditAdditionalForm.initFields', 'MinTotalCost_Main', 'initFields');
        $this->addImplementation('PostAffiliate.CommissionTypeEditAdditionalForm.save', 'MinTotalCost_Main', 'save');
        $this->addImplementation('PostAffiliate.CommissionTypeEditAdditionalForm.load', 'MinTotalCost_Main', 'load');
        $this->addImplementation('Tracker.saveCommissions.beforeSaveTransaction', 'MinTotalCost_Main', 'saveCommission');
    }
}

?>
