<?php
/**
 *   @copyright Copyright (c) 2011 Quality Unit s.r.o.
 *   @author Ladislav Acs
 *   @package PostAffiliatePro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 */

class ProhibitCommissionIfAffIsPurchaser_Config extends Gpf_Plugins_Config {

    const COMMISSION_FOR_PURCHASER_AFFILIATE = 'custom_commission_for_purchaser_affiliate';
    const TRANSACTION_DATA_FIELD = 'ProhibitCommissionIfAffIsPurchaser_transdatafield';


    protected function initFields() {
        $this->addTextBox($this->_('Custom Commission'), self::COMMISSION_FOR_PURCHASER_AFFILIATE, $this->_('Set the custom commission that shall be given to a referring affiliate if he/she happens to be the purchaser.'));
        $this->addListBox($this->_("Transaction data field"), self::TRANSACTION_DATA_FIELD, array('1'=>'Data 1','2'=>'Data 2','3'=>'Data 3','4'=>'Data 4','5'=>'Data 5'), $this->_('Choose the transaction Data field in which you are tracking the email address of purchaser/customer'));
    }

    /**
     * @anonym
     * @service
     * @param Gpf_Rpc_Params $params
     * @return Gpf_Rpc_Form
     */
    public function save(Gpf_Rpc_Params $params) {
        $form = new Gpf_Rpc_Form($params);

        Gpf_Settings::set(self::COMMISSION_FOR_PURCHASER_AFFILIATE, $form->getFieldValue(self::COMMISSION_FOR_PURCHASER_AFFILIATE));
        Gpf_Settings::set(self::TRANSACTION_DATA_FIELD, $form->getFieldValue(self::TRANSACTION_DATA_FIELD));

        $form->setInfoMessage($this->_('Settings saved'));
        return $form;
    }

    /**
     * @anonym
     * @service
     * @param Gpf_Rpc_Params $params
     * @return Gpf_Rpc_Form
     */
    public function load(Gpf_Rpc_Params $params) {
        $form = new Gpf_Rpc_Form($params);

        $form->addField(self::COMMISSION_FOR_PURCHASER_AFFILIATE, Gpf_Settings::get(self::COMMISSION_FOR_PURCHASER_AFFILIATE));
        $form->addField(self::TRANSACTION_DATA_FIELD, Gpf_Settings::get(self::TRANSACTION_DATA_FIELD));

        return $form;
    }
}

?>
