<?php
/**
 *   @copyright Copyright (c) 2011 Quality Unit s.r.o.
 *   @author Ladislav Acs
 *   @package PostAffiliatePro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 */

class ProhibitCommissionIfAffIsPurchaser_Definition extends Gpf_Plugins_Definition  {
    public function __construct() {
        $this->codeName = 'ProhibitCommissionIfAffIsPurchaser';
        $this->name = $this->_('Prohibit Commission If Affiliate Is Purchaser');
        $this->description = $this->_('If a sale is referred by an affiliate who is also the purchaser at the same time, then the affiliate gets a custom commission set in this plugin. Don\'t forget to add email address of purchaser to a transaction data field configured in the plugin.');
        $this->version = '1.0.0';
        $this->configurationClassName = 'ProhibitCommissionIfAffIsPurchaser_Config';

        $this->addRequirement('PapCore', '4.5.54.2');

        $this->addImplementation('Core.defineSettings', 'ProhibitCommissionIfAffIsPurchaser_Main', 'initSettings');
        $this->addImplementation('Tracker.saveCommissions.beforeSaveTransaction', 'ProhibitCommissionIfAffIsPurchaser_Main', 'doBeforeSave');
    }
}
?>
