<?php
/**
 *   @copyright Copyright (c) 2011 Quality Unit s.r.o.
 *   @author Ladislav Acs
 *   @package PostAffiliatePro
 *
 *   Licensed under the Quality Unit, s.r.o. Standard End User License Agreement,
 *   Version 1.0 (the "License"); you may not use this file except in compliance
 *   with the License. You may obtain a copy of the License at
 *   http://www.postaffiliatepro.com/licenses/license
 */

class ProhibitCommissionIfAffIsPurchaser_Main extends Gpf_Plugins_Handler {

    private static $instance = false;

    public function __construct() {
    }

    /**
     * @return ProhibitCommissionIfAffIsPurchaser_Main
     */
    public static function getHandlerInstance() {
        if(!self::$instance)  {
            return self::$instance = new ProhibitCommissionIfAffIsPurchaser_Main();
        }
        return self::$instance;
    }

    public function initSettings(Gpf_Settings_Gpf $context) {
        $context->addDbSetting(ProhibitCommissionIfAffIsPurchaser_Config::COMMISSION_FOR_PURCHASER_AFFILIATE, 0);
        $context->addDbSetting(ProhibitCommissionIfAffIsPurchaser_Config::TRANSACTION_DATA_FIELD, '5');
    }

    /**
     * do before transaction save
     */
    public function doBeforeSave(Pap_Common_TransactionCompoundContext $transactionCompoundContext) {
        $transaction = $transactionCompoundContext->getTransaction();
        $userId = $transaction->getUserId();
        $user = Pap_Common_User::getUserById($userId);
        $userEmailAddress = $user->getUsername();

        $settingDataField = Gpf_Settings::get(ProhibitCommissionIfAffIsPurchaser_Config::TRANSACTION_DATA_FIELD);
        $purchaserEmailAddress = $transaction->get('data'.$settingDataField);

        if ($transaction->getTier() == '1' && $userEmailAddress == $purchaserEmailAddress ) {
            $transactionCompoundContext->getContext()->debug('ProhibitCommissionIfAffiliateIsPurchaser plugin has been triggered, transaction orderid: ' . $transaction->getOrderId());
            $newCommission = Gpf_Settings::get(ProhibitCommissionIfAffIsPurchaser_Config::COMMISSION_FOR_PURCHASER_AFFILIATE);
            if ($newCommission == 0) {
                $transactionCompoundContext->setSaveTransaction(false);
                $transactionCompoundContext->getContext()->debug('ProhibitCommissionIfAffiliateIsPurchaser plugin, transaction is not saved because should have zero commission.');
                return;
            }
            $transaction->setCommission(Gpf_Settings::get(ProhibitCommissionIfAffIsPurchaser_Config::COMMISSION_FOR_PURCHASER_AFFILIATE));
        }
    }
}
?>
